---
ID: 1569
post_title: Hello, World!
author: Zooko Wilcox
post_excerpt: ""
layout: post
permalink: https://blog.z.cash/helloworld/
published: true
post_date: 2016-01-20 00:00:00
---
I'm extremely happy to announce the Zcash project.

Zcash (formerly “Zerocash”/“Zerocoin”) is a project to create a new currency for the Internet, inspired by Bitcoin.

Bitcoin is an amazing and complex machine, but the most important thing about it is simple: it is an <em>open</em> financial system which anyone can connect to without requiring permission from anyone else. For the same reason, anyone can extend and improve it without permission.

Making a financial system <em>open</em> is revolutionary, and seven years into the Bitcoin project, we're still in the early days of understanding what's possible, what's impossible, and how the possibilities will play out in real communities and economies around the globe.

The improvement that the Zcash team is working on is the addition of <em>privacy</em>. We have assembled a <a class="reference external" href="https://z.cash/team.html">world-class team</a> of cryptographers and engineers, made scientific advances in the underlying mathematics, and built a working, <em>privacy-preserving</em> variant of the Bitcoin software.
<div id="what-we-ve-done" class="section">
<h2>What we've done</h2>
What we're releasing today is a working “Technology Preview” release. Developers can download the source code, compile it, and connect to our live testnet. You can mine play-money “testnet-bux” and spend them with a fully private, cryptographically-protected transaction.

There is still much work to be done before Zcash matures into an open system that people can rely on. The current software is insecure in several serious ways, and testnet-bux are worthless and always will be. This Technology Preview release is solely for other developers and entrepreneurs around the world, who can help us inspect, debug, and improve the technology and who can learn how it works and how they can use it.

Everything we're releasing today is under an open source licence and we have not applied for any patents on these inventions.

</div>
<div id="why-do-we-do-this" class="section">
<h2>Why do we do this?</h2>
I'll be writing a series of blog posts in the coming days explaining different parts of the system, including how it works, our funding model, and how you can help, but for this first blog post I want to concentrate on the most important question: <em>Why?</em>.
<div id="because-privacy-is-a-human-right" class="section">
<h3>Because privacy is a human right</h3>
We believe that personal privacy is necessary for core human values like dignity, intimacy, and morality.

Privacy is about <em>consent</em>. You have the right to choose which of your movements, words, and actions will be shared or published. You have the right to choose whether every detail of your life will be recorded and analyzed, by acquaintances, neighbors, family, employers, faceless organizations, or massive supercomputers.

If someone tells you that it is hopeless and that you have no privacy rights left, don't believe them. It is worth fighting for, and we can win.

</div>
<div id="because-privacy-is-necessary-for-businesses" class="section">
<h3>Because privacy is necessary for businesses</h3>
Companies need privacy in order to conduct their business. This is true for all sorts of companies, in all sorts of businesses.

I was surprised when I started talking to businesses about Zcash at the strength of the <em>positive</em> response from the financial tech industry. They've been developing "blockchain technology" products, and they've suddenly realized that they are accelerating toward a roadblock, because their customers (banks) have assumed all along that their “blockchain technology” product comes with privacy, and it doesn't. Banks and their customers absolutely require privacy in their financial transactions.

</div>
<div id="because-privacy-is-necessary-for-commerce" class="section">
<h3>Because privacy is necessary for commerce</h3>
A currency needs privacy to be long-term viable as a medium of exchange, because of <em>fungibility</em>. “Fungibility” is the property that “All coins are created equal.”. Fungibility means that when someone offers to pay you $20, and they have two different twenty-dollar bills in their wallet, it <em>doesn't matter</em> which one you take. The two $20's are worth just as much as one another, and it doesn't matter who any of the previous owners of either one of those $20's was.

This is necessary for large-scale commerce. If, every time someone were going to accept money, they had to think about the consequences of accepting <em>this</em> particular payment vs. some other payment of the same amount, commerce would grind to a halt, or would be limited to small groups of shared trust.

In an open and programmable financial system, financial privacy is the only way to ensure fungibility.

</div>
<div id="because-privacy-is-a-social-value" class="section">
<h3>Because privacy is a social value</h3>
We believe that privacy strengthens social ties and social institutions, protects societies against their enemies, and helps societies to be more peaceful and more prosperous. A robust tradition of privacy is a common feature in rich and peaceful societies, and a lack of privacy is often found in struggling and failing societies.

As we move more of our lives into the Internet, and integrate our lives more with the lives of people from around the globe, we want the new society we are building to be one of the peaceful and prosperous kind.

</div>
<div id="but-but-won-t-bad-guys-use-it" class="section">
<h3>But… but… won't bad guys use it?</h3>
Yes, but bad guys will use anything. Bad guys use cars, bad guys use the Internet, bad guys use cash, bad guys use the current banking system. Our goal is not to invent something that bad guys can't use, it is to invent something that can empower and uplift the billions of good people on this planet.

</div>
</div>
<div id="join-us" class="section">
<h2>Join us!</h2>
These are the reasons why we are devoting these years of our lives to this project. Many of the leading thinkers in the Bitcoin community have already expressed <a class="reference external" href="https://z.cash/buzz.html">their support</a>. We welcome your help and support. You can find our conversations at <a class="reference external" href="https://forum.z.cash">the Zcash forum</a>.

Coming soon: How is the Zcash project funded?

— Zooko Wilcox, Jan 20, 2016

</div>