---
ID: 1563
post_title: Funding, Incentives, and Governance
author: Zooko Wilcox
post_excerpt: ""
layout: post
permalink: https://blog.z.cash/funding/
published: true
post_date: 2016-02-01 00:00:00
---
In my first blog post I focused on the most important thing: <a class="reference external" href="/helloworld/">our values</a>. Now I turn to the next-most-important issue for our mission: funding. Here's how we've gathered the necessary resources to get us this far, and how we plan to successfully launch Zcash.

Even though the Zcash technology is being built by a company (the <a class="reference external" href="https://z.cash/team.html">Zcash Electric Coin Company</a>), nothing in Zcash is proprietary or closed. Zcash is a fully open system:
<ul class="simple">
 	<li>We've published our scientific advances in a series of peer-reviewed articles in the public science literature: [<a class="reference external" href="http://zerocoin.org/media/pdf/ZerocoinOakland.pdf">1</a>, <a class="reference external" href="https://eprint.iacr.org/2013/507.pdf">2</a>, <a class="reference external" href="http://zerocash-project.org/media/pdf/zerocash-extended-20140518.pdf">3</a>, <a class="reference external" href="http://www.ieee-security.org/TC/SP2015/papers-archived/6949a287.pdf">4</a>].</li>
 	<li>We've released <a class="reference external" href="https://github.com/zcash/zcash">the source code</a> that implements Zcash under an open source licence.</li>
 	<li>We've launched <a class="reference external" href="http://coin.cell.systems/">a Zcash blockchain</a> (for now just a “testnet” blockchain <a class="reference external" href="https://z.cash/support/faq.html">without real monetary value</a>) that anyone on the Internet can connect to without requiring permission from us or from anyone else.</li>
</ul>
All of this is necessary for Zcash to be an <em>open system</em> that anyone can use, and to allow permissionless innovation. It is also necessary to establish trust that the resulting system is free of security vulnerability and backdoors.

How can <a class="reference external" href="https://z.cash/team.html">such a high-powered team</a> afford to devote years of our lives to this project when everything we're producing is public, open, and permissionless?
<div id="founders-reward" class="section">
<h2>Founders Reward</h2>
Zcash's monetary base will be the same as Bitcoin's — 21 million Zcash currency units (ZEC, or ⓩ) will be mined over time. 10% of that reward will be distributed to the stakeholders in the Zcash Company — <a class="reference external" href="https://z.cash/team.html">founders, investors, employees, and advisors</a>. We call this the “Founders Reward”.

<img src="/wp-content/uploads/2016/11/foundersreward.png" alt="Founders Reward Graph" />At first, 50 ZEC will be created every ten minutes. 80% of the newly created ZEC will go to the miners, and 20% ZEC to the founders.

Every four years, the rate of ZEC being created will halve (again, just like in Bitcoin). After the first four years the ZEC created per ten minutes will drop to 25ⓩ, but after the first four years, 100% of it goes to the miners.

The end result (as shown in the diagram) is that there will ultimately be 21 million ⓩ, and 10% of it, or 2.1 million ⓩ, will have been initially distributed to the founders.

With this approach, the founders are incentivized to support Zcash for the long haul (at least for four years), and they have limited ability to pump-and-dump.

</div>
<div id="our-investors" class="section">
<h2>Our Investors</h2>
With the plan above, a <a class="reference external" href="https://z.cash/team.html#investors">dream team of investors</a> stepped up to fund the Zcash Company, because they believe in our mission, and in the value of this technology for all kinds of people and industries.

We have closed a $1M funding round with these investors. By acquiring a stake in the Zcash Company, they stand to benefit both from the Founders Reward as well as from the value of any other products that the Zcash Company may create.

I am grateful to them for giving us the opportunity to do this and for the valuable business expertise they are providing.

</div>
<div id="the-zcash-foundation" class="section">
<h2>The Zcash Foundation</h2>
The Zcash Company is a good vehicle to draw this team together, organize us, and launch the technology, but in the long run Zcash will need to be maintained by people who are serving the interests of all users equally.

To that end, some of the founders have agreed to donate part of their reward, currently amounting to more than 10% of the Founders Reward — i.e. more than 1% of all of the Zcash monetary base — to a future non-profit “Zcash Foundation”.

It has not yet been determined how that foundation will be organized, but the intent is that it will provide a natural locus for voluntary governance, i.e. for maintenance and evolution of the protocols and software. I hope that having a well-funded non-profit foundation dedicated to serving the interests of all Zcash users will avoid some of the uncertainties which are currently rending our beloved Bitcoin community.

</div>
<div id="conclusion" class="section">
<h2>Conclusion</h2>
There was a lot in here, but it was important to me to get this all on the record. I am very proud of having drawn together these resources and created this organization to advance our mission. I hope you who share our values agree that this plan is fair and fit to purpose and that you will support us and <a class="reference external" href="https://forum.z.cash/">join the Zcash community</a>.

Coming soon: Zcash and Bitcoin

— Zooko Wilcox, Feb 1, 2016

</div>