---
ID: 1655
post_title: Zcash Launch and Roadmap
author: Nathan Wilcox
post_excerpt: ""
layout: post
permalink: >
  https://blog.z.cash/zcash-launch-and-roadmap/
published: true
post_date: 2016-08-17 00:00:00
---
<div class="figure align-center">
<img alt="Zcash Sprout Launch Logo" class="zcash-launch-roadmap" src="http://blog.z.cash/wp-content/uploads/2016/05/zcash-sprout-launch.png"/><p class="caption">Zcash <cite>Sprout</cite> Launch</p>
</div>
<p>The Zcash team is nearing the time to release our code and launch the genesis block of the Zcash blockchain. This is an exciting time to be involved in cryptocurrency and we hope this launch will be a milestone for the field.</p>
<p>When the Zcash genesis block is launched, anyone in the world will be able to mine Zcash, and users will be able to send it to anyone in the world with the advantage of full zero-knowledge privacy. The interface will be a command-line tool on Linux, and will not include a graphical user interface, nor run on Windows or Mac OS at launch time. We will continue adding improvements in response to user demand following this initial release.</p>
<p>As you will read in our next blog post we are currently undergoing the audit phase of our code; and as such we have delayed our Sprout release for security and safety reasons. Our aim in creating the Zcash blockchain is to launch the first <a class="reference external" href="/helloworld/">open, permissionless financial system</a> with zero-knowledge privacy and best achievable security. This post will describe, in chronological order, our engineering roadmap and the steps involved in creating this first release of what will (hopefully!) become a safe, viable, trusted network with this experimental and complex technology.</p>
<div class="section" id="audits">
<h2>Audits</h2>
<p>We have contracted a few of the best audit firms and most trusted hacker minds to help us review our code and correct vulnerabilities. The first audits have already begun; we may schedule future audits to gain further confidence in our security at launch. A blog post following this one will go into further depth about our auditors, when the full audit reports will be published, the scope of the audits, and current risk involved with the Zcash launch. We hope that with proper and thorough auditing we will mitigate all vulnerabilities and lessen risk; this thoroughness is one reason for our launch delay.</p>
</div>
<div class="section" id="beta">
<h2>Beta</h2>
<p>Starting on September 7, 2016 we will release the first version of our Beta code. This is still testnet. This series will be feature complete including having our consensus rules frozen, and a new, easier to use RPC interface in place.</p>
<p>This is a good time to begin the work of integrating Zcash into your products and services. Check back after the 7th for a new Public Beta Guide, which will replace our current <a class="reference external" href="https://github.com/zcash/zcash/wiki/Public-Alpha-Guide">Public Alpha Guide</a>.</p>
<p>Our Alpha releases had changing consensus rules and had a difficult-to-use RPC interface (which will be removed). The Beta Series will present stable features, although they may be tweaked slightly before 1.0 launch, based on user feedback or bugfixes.</p>
<p>The potential exceptions to feature-completeness in our Beta Series may be changes to our Equihash Proof-of-Work, security issues found in auditing, bugs that aren't disruptive to fix, and changes required for our production launch such as initial block constants, hard-coded node ids, and removal of unused code and documentation.</p>
</div>
<div class="section" id="beta-phase-goals">
<h2>Beta Phase Goals</h2>
<p>Previously <a class="reference external" href="/sprout-roadmap/">we described</a> our plan to launch in September of 2016. Although our main software development is still on that schedule, we've decided to prolong our Beta phase for three crucial goals: secure parameter generation, security auditing, and integration work with ecosystem partners.</p>
<p>We'll describe each of these Beta Phase goals in the coming months when the time is right. Stay tuned!</p>
</div>
<div class="section" id="the-launch-and-sprout-series">
<h2>The Launch and Sprout Series</h2>
<p>The launch target date for the Zcash blockchain is set for October 28, 2016. This is when the first Zcash monetary units will come into existence, based on securely generated zkSNARK parameters. The software release for the launch will be the first in our Sprout Series releases. We are calling this software release, and this initial phase of the blockchain ‘Sprout’ to emphasize that it is a young, budding blockchain with great potential to grow.</p>
<p>In the coming few months we will be publishing content about: how to mine Zcash, information for integration, partnerships in the works, the parameter generation and setup ceremony, other cool science projects our team is working on, as well as a detailed FAQ that will help developers, miners, engineers, scientists, economists, enthusiasts, and anyone interested in Zcash join the conversation.</p>
</div>
<div class="section" id="get-involved">
<h2>Get Involved</h2>
<p>The updated Zcash core design is in our <a class="reference external" href="https://github.com/zcash/zips/blob/master/protocol/protocol.pdf">Zcash Protocol specification</a>. Our roadmap for the Beta and 1.0 launches is embodied in our <a class="reference external" href="https://github.com/zcash/zcash/milestones/">github milestones</a>.</p>
<p>If you're interested in infrequent announcements, such as for our launch, <a class="reference external" href="https://z.cash/#launch-notification">sign up</a> for our email announcement list.</p>
<p>Join <a class="reference external" href="https://forum.z.cash/">our forum</a> for user discussions, or our <a class="reference external" href="https://inviteme.z.cash/">Community Slack</a> if you want realtime developer chat.</p>
<p>If you're the adventurous type who wants to play with our current alpha code, check out our <a class="reference external" href="https://github.com/zcash/zcash/wiki/Public-Alpha-Guide">Public Alpha Guide</a>.</p>
<p>— Nathan Wilcox, 2016-08-15</p>
</div>