---
ID: 1620
post_title: Announcing Zcash New Team Members
author: Zooko Wilcox
post_excerpt: ""
layout: post
permalink: >
  https://blog.z.cash/september-2016-new-hire-post/
published: true
post_date: 2016-09-05 00:00:00
---
<p>Zcash is a science-based company, made up of world-class talent. It is with pride that we announce a few new members to the team.</p>
<div class="new-hire-post section" id="ariel-gabizon">
<h2>Ariel Gabizon</h2>
<div class="section" id="cryptographic-engineer">
<h3>Cryptographic Engineer</h3>
<p>Ariel is currently a researcher at the Computer Science Department at Technion - Israel Institute of Technology. For most of his career he has focused exclusively on theoretical computer science, obtaining a PhD from the Weizmann Institute in 2008. A few years ago he discovered the world of bitcoin and blockchain technology, and sees it as a fascinating potential meeting place of beautiful theoretical computer science ideas and real-world applications. Motivated by this, he shifted his focus in 2014 from pure theory to "theory-to-practice" research. As a member of the Succinct Computational Integrity and Privacy Research (SCIPR) Lab, he works on making tools such as Zero-Knowledge and Probabilistically Checkable proofs more efficient and practical.</p>
<blockquote>
“After having spent most of my working life in academia, I was drawn to Zcash by a desire to see Zero-Knowledge proofs—the complex cryptographic object on which Zcash is based—brought from the realm of theoretical computer science into the real world. I currently work on the parameter setup protocol whose object is to ensure no party will possess trapdoor information enabling them to perform fraudulent transactions.”</blockquote>
</div>
</div>
<hr class="docutils"/><div class="new-hire-post section" id="kevin-gallagher">
<h2>Kevin Gallagher</h2>
<div class="section" id="devops-engineer">
<h3>Devops Engineer</h3>
<p>Kevin Gallagher is a DevOps engineer and Linux systems administrator assisting Zcash with infrastructure and operational security. He's also an activist who is committed to privacy, security and freedom of information. He previously worked for Freedom of the Press Foundation, a non-profit that supports transparency journalism. He’s been an advocate as the director of Free Barrett Brown, a support network and legal defense fund formed to help a jailed journalist. Additionally, he's recently done work with Transparency Toolkit, an organization that gathers open data on surveillance and human rights abuses and develops free software to analyze it, as well as the Library Freedom Project, a project to make real the promise of intellectual freedom and privacy within libraries.</p>
<blockquote>
<em>"To me, zero-knowledge proofs represent one of the most exciting milestones in the history of cryptography. Zcash will enable true privacy and confidentiality in financial transactions, and I'm thrilled to be part of a world-class team intent upon bringing this technology to the masses."</em></blockquote>
</div>
</div>
<hr class="docutils"/><div class="new-hire-post section" id="jay-graber">
<h2>Jay Graber</h2>
<div class="section" id="web-developer">
<h3>Web Developer</h3>
<p>Jay is a web developer with experience organizing political campaigns to protect privacy and the open internet. Her interest in virtual currencies goes back to a Timebank she started in college.</p>
<blockquote>
<em>“Zcash is making an important contribution to cryptocurrency. By allowing users to have privacy and selective transparency for transactions, zero-knowledge proofs applied to blockchains will enable many new use cases. I’m excited to be helping bring this open platform into reality.”</em></blockquote>
</div>
</div>
<hr class="docutils"/><div class="new-hire-post section" id="simon-liu">
<h2>Simon Liu</h2>
<div class="section" id="senior-software-engineer">
<h3>Senior Software Engineer</h3>
<p>Simon is a member of the founding team behind the MultiChain private blockchain platform.  He has over a decade of experience building native applications for Mac OS X and iOS having founded his own software company.  He helped kickstart Tokyo HackerSpace, loves disruptive peer-to-peer systems and used to code assembly language demos on the Amiga.  Simon is a pragmatic polyglot on both client and server.  He holds a BA in Computer Science from Cambridge University and lives in San Francisco, California.</p>
<blockquote>
<em>“Zcash is an engaging project to work on, fusing together a 30-year old branch of cryptography with the world's most battle-tested cryptocurrency.  The result is an emerging fintech platform designed around provably private transactions, one able to support truly fungible digital assets which will be of benefit to both individuals and businesses alike."</em></blockquote>
</div>
</div>
<hr class="docutils"/><div class="new-hire-post section" id="paige-peterson">
<h2>Paige Peterson</h2>
<div class="section" id="communication-design">
<h3>Communication/Design</h3>
<p>Paige has been immersed within the peer-to-peer technology world for 5 years and counting. Through roles with mesh networking startup, Open Garden, p2p storage and communications company, MaidSafe, and as Co-organizer for the San Francisco Bitcoin Meetup, she has gained appreciation for the diverse applications of decentralized networks. She enjoys exploring ways to simplify explanations of these seemingly complex topics and supporting better Internet security and privacy practices for more general audiences. Previously, she studied Interrelated Media at Massachusetts College of Art building interactive art projects with a focus on realistic simulations and abstract conceptualizations of natural systems and processes.</p>
<blockquote>
<em>“To me, Zcash hovers in the top of 'Can't Wait To Use &amp; See Used Technologies' and 'Would Love To Work With Team'. As a big fan of tools which aim to keep its users secure and private by default, I'm excited about the implications of a privacy-preserving cryptocurrency on the freedom of individuals and markets around the world. Additionally as a fan of open development strategies and organizational accountability, I'm happy to be part of a team which exudes these properties."</em></blockquote>
<hr class="docutils"/><p>Zcash is not currently hiring. That said, we love our contributors and the positive, enthusiastic community of enthusiasts. Please join the Zcash community by contributing to our Slack or Forum conversations.</p>
</div>
</div>