---
ID: 1553
post_title: Continued Funding and Transparency
author: Zooko Wilcox
post_excerpt: ""
layout: post
permalink: >
  https://blog.z.cash/continued-funding-and-transparency/
published: true
post_date: 2016-09-23 00:00:00
---
<a class="reference external" href="/helloworld/">Our mission</a> is to create open financial technology with zero-knowledge privacy, for everyone in the world to use. The first application of that technology is <em>Zcash</em>, a cryptocurrency and blockchain with privacy built in.
<div id="continued-funding" class="section">
<h2>Continued funding</h2>
Today we're announcing that this past summer we took in a new round of funding. Seventeen investors put in a total of $2 million dollars into the Zcash Electric Coin Company in exchange for equity in the company. The investors in this round are: Aaron Grieshaber, Branson Bollinger, Maple Ventures (Amir Chetrit and Steven Nerayoff), Brian Cartmell, Vlad Zamfir, Roger Ver, Digital Currency Group, Barry Silbert, Charles Songhurst, Fenbushi, Shapeshift, Erik Voorhees, David Lee Kuo Chuen, Fred Ehrsam, Sebastian Serrano, and Li Xiaolai.

This is a huge vote of confidence in the Zcash team and in the value of the Zcash project, and it gives us plenty of cash to assist the upcoming launch of <a class="reference external" href="/sprout-roadmap/">Zcash Sprout</a>.

We are using the money to <a class="reference external" href="/september-2016-new-hire-post/">hire several awesome new people</a> for our team, to further invest in security assurance such as by hiring <a class="reference external" href="/auditing-zcash/">independent security auditors</a>, to fund the <a class="reference external" href="http://zcashminers.org/">Zcash Open Source Miner Contest</a>, and to lay plans for several more projects.

Stay tuned to this blog to hear more about all of these exciting developments!

</div>
<div id="continued-transparency" class="section">
<h2>Continued transparency</h2>
The Zcash Company has always been exceptionally transparent about our backers and our company finances.

But, with this blog post we are radically increasing our transparency, to a degree beyond what is considered normal or even acceptable in Silicon Valley.

We're doing this in order give the public a clear picture of the incentives we're operating under, and the “initial conditions” of the Zcash economy that is about to be born.
<div id="pricing" class="section">
<h3>Pricing</h3>
In return for $2 million, the new round of investors collectively took ownership of 6.25% of the company.That implies that the new investors were effectively valuing the company at $32 million (at a time when the uncertainties were greater).The overall amount raised including the previous round is $3 million, and the investors collectively now own 16.4% of the company.

Since the Founders' Reward is 2.1 million coins (10% of the total long-run monetary base of 21 million coins), and since the Founders' Reward will be split among the owners of the Zcash Company in proportion to their ownership, this means the new round of investors paid $2M for an eventual distribution of 131,250 Zcash coins. Therefore, they effectively paid $15.24 per coin.

Be aware that the investors received not <em>only</em> a right to an eventual distribution of Zcash coins, but also a permanent share of the Zcash Electric Coin Company, which may prove to have independent value. So you can't simply say that the investors valued coins at $15.24 a piece. Instead, they might have chosen to invest partly because of the accompanying equity in the company. From my personal experience negotiating with them, there were a variety of attitudes, with the majority of them more interested in the coin than in the company, but a substantial minority the other way around.

The investors will receive their share of the Founders' Reward over the first year of mining. The rest of the founders will receive their share of the Founders' Reward over the first four years of mining. (This doesn't change the size of the Founders' Reward per block — it is still 2.5 ⓩ for the founders and 10 ⓩ for the Miner for each block in the first four years. It just means more of the Founders' Reward goes to the investors than to the other founders during the first year. See <a class="reference external" href="/funding/">Funding, Incentives, and Governance</a> for why the Founders' Reward is on this four-year schedule.)
</div>

<div id="the-distribution-of-zcash" class="section">
<h3>The distribution of Zcash</h3>
<p>90% of the Zcash monetary base goes to the miners, to reward them for doing a public service by maintaining a secure global blockchain, that anyone can use, and that can hold validated but private transactions.</p>
<div class="figure align-center" style="width: 75%;"><img class="zecc-blog-inline-image" src="http://blog.z.cash/wp-content/uploads/2016/09/founders-reward-1-v3.png" alt="Zcash Distribution" /></div>
<p>I urge everyone to run a Zcash miner! It is the easiest thing you can do to support the open, permissionless network and the new economy, and (if you're lucky) you might also get a Miners Reward for doing it. You can get started today (on the not-real-money-yet testnet) by following the <a class="reference external" href="https://github.com/zcash/zcash/wiki/Mining-Guide">Zcash Mining Guide</a>.</p>
</div>

<div id="the-distribution-of-the-founders-reward" class="section">
<h3>The distribution of the Founders' Reward</h3>
<p>10% of the Zcash monetary base goes to the “Founders' Reward”.</p>
<div class="figure align-center" style="width: 75%;"><img class="zecc-blog-inline-image" src="http://blog.z.cash/wp-content/uploads/2016/09/founders-reward-2-v7.png" alt="Zcash Distribution, The Founders' Reward" /></div>

An interesting fact about this distribution is that there are no large pie slices. I arranged to distribute the Founders' Reward widely, so that there would be a lot of early stakeholders with a stake in the success of the coin, and nobody would have a much larger stake than the others. This includes myself; my own personal share of the Founders' Reward is no greater than that of some of the other founders.

The investors (this new round plus all previous investments) collectively will receive 1.65% of Zcash's ultimate monetary base.

Among the investors, the equity is evenly distributed. Even the investor with the largest share will eventually (over the course of the first year) receive only 0.2% of the Zcash monetary base.

The founders, employees, and advisors (myself included) will collectively get 5.72% of the Zcash monetary base through the Founders' Reward.

Among this group, the equity is also more evenly distributed than a typical startup. Even the founders with the largest share will be receiving only about 0.5% of the Zcash monetary base (over four years).

The two biggest single beneficiaries of the Founders' Reward are the Zcash Company strategic reserve and the non-profit Zcash Foundation.

The Zcash Company's “strategic reserve” will receive 1.19% of the Zcash monetary base (over four years), and is intended to fund new projects to increase the value of the Zcash Company.

The non-profit Zcash Foundation will receive 1.44% of the monetary base (over four years). The Foundation will maintain and improve the Zcash protocol in the interests of all users, present and future.

The Zcash Foundation's share is provided by donations from myself and many of the other founders and investors, and I thank them for helping to sustain an open and safe financial network that anyone in the world will be able to use. That's why we do this.

</div>
</div>
<div id="recap" class="section">
<h2>Recap</h2>
We've taken in another $2M worth of investment to power the next stage of the project. The investors in that round valued the Founders' Reward (along with the accompanying ownership of Zcash Co) at about $15 per Zcash coin.

We're practicing radical transparency, because this project's success depends on the goodwill of the public, and the public has a stake in knowing the financial structure of the ecosystem.

Miners will receive 90% of the Zcash monetary base, and I encourage everyone to run a miner, as a contribution to the public good, and because if you get lucky you might win a Miners Reward.

The founders, employees, and advisors are collectively receiving 5.7% of the monetary base over the four years. The investors are receiving 1.6% of the Zcash monetary base, over the first year. The Zcash Co is receiving 1.2% of the monetary base (over four years) to fund new commercial projects. The Zcash Foundation is receiving 1.4% of the monetary base (over four years) to support the technology, on behalf of all users.
<table id="id1" class="docutils footnote" frame="void" rules="none"><colgroup><col class="label" /><col /></colgroup>
<tbody valign="top">
<tr>
<td class="label">[1]</td>
<td>These numbers are subject to change if, for example, more investors or ZECC employees decide to donate to the Zcash Foundation, or if the company grants more equity to employees, or employees leave the company.</td>
</tr>
</tbody>
</table>
</div>