---
ID: 1606
post_title: 'Accepting Submissions: Zcash Open Source Miner Challenge'
author: Liz Steininger
post_excerpt: ""
layout: post
permalink: >
  https://blog.z.cash/open-source-miner-challenge/
published: true
post_date: 2016-09-27 00:00:00
---
<p>All coins are created equal. All coins should be equally accessible.</p>
<p>Last week, <a class="reference external" href="/announcing-miner-contest/">we announced</a> our dedication to incentivize more open source miners to be available to the Zcash community, through the <a class="reference external" href="http://zcashminers.org/">Zcash Open Source Miner Challenge</a>. We believe that mining for ZEC is an important way to contribute to our growing and enthusiastic community.</p>
<p>The Challenge is now live and we are accepting submissions until 27 October at 23:59 UTC. All details are now available on the <a class="reference external" href="http://zcashminers.org/">Zcash Open Source Miner Challenge</a> website; there you can also find <a class="reference external" href="http://zcashminers.org/apply">the form</a> to submit your entry. Please read all criteria, rules and guidelines before submitting. If you’d like your code to be considered for the $30,000 of prizes that will be awarded, you must also post your code to a public GitHub repository.</p>
<p>The technical guidelines for this challenge are:</p>
<ul class="simple"><li>Submissions must be or must include an Equihash solver. Full Zcash miner submissions are also acceptable, provided that their Equihash implementation can easily be separated and meets the Submission Guidelines.</li>
<li>The CPU code should be in plain C99, optionally with use of intrinsics, inline or standalone assembly, pthreads or/and OpenMP.</li>
<li>The GPU code, if any, should be in OpenCL and/or CUDA (but we’ll favor OpenCL).</li>
<li>The Equihash solver portion must build and run on Linux/x86_64, and in particular on recent Ubuntu and on CentOS 7 (systems where we test zcashd)</li>
<li>At the minimum, the Equihash solver must support Zcash’s current Equihash parameters, which are n=200, k=9 (and preferably other parameters as well).</li>
<li>The Submission must be a correct Equihash solver.</li>
</ul><p>To learn more about the judging criteria and the timeline, please visit the <a class="reference external" href="http://zcashminers.org/">Challenge website</a>.</p>
<p>You can also join in the mining conversations on the <a class="reference external" href="https://forum.z.cash/">Zcash Forum</a> or email <a class="reference external" href="mailto:challenge@zcashminers.org">challenge@zcashminers.org</a> with any specific questions.</p>