---
ID: 1552
post_title: Consensual Currency
author: Nathan Wilcox
post_excerpt: ""
layout: post
permalink: https://blog.z.cash/consensual-currency/
published: true
post_date: 2016-10-07 00:00:00
---
The <a class="reference external" href="/announcing-beta-series/">Zcash cryptocurrency launch is approaching</a> and we're making progress on <a class="reference external" href="/helloworld/">our mission</a> to create the first open financial system with zero-knowledge privacy.

When we say <cite>open</cite>, we mean anyone in the world can use it.

So… <em>should</em> they?

In order to decide if they <em>should</em> they need to know not only how the current version works, but also the direction the community, technology, and ecosystem are headed. In this post we'd like to share our thoughts about how communities grow and evolve.
<div id="how-do-cryptocurrency-communities-evolve" class="section">
<h2>How do cryptocurrency communities evolve?</h2>
Like all cryptocurrencies so far, Zcash is a <em>consensual</em> currency: Nobody is ever going to force you to use a specific version or a specific fork of Zcash. It's all opt-in.

It is also a <em>community</em> currency. Using a currency all by yourself is no fun. You need a bunch of other people to use it too. So any major upgrade to Zcash — or new fork, variant, or competitor — will be important to you ​only​ if a community of others is willing to adopt it along with you.

Finally, it's a <em>developer-supported</em> currency. We, as developers, are going to be maintaining and upgrading Zcash for the forseeable future. If you use one of the versions or forks of Zcash that we support, you can benefit from our work. This is why the Founders' Reward <a class="reference external" href="/funding/">¹</a>, <a class="reference external" href="/continued-funding-and-transparency/">²</a> is important in the long run. It provides both the incentives and the resources for developer support.

</div>
<div id="what-happens-when-communities-grow" class="section">
<h2>What happens when communities grow?</h2>
As Zcash becomes successful, it will grow to support many different stakeholders, and an increasing variety of needs. Some of those needs will call for different design trade-offs than others.

Since Zcash is a consensual currency, different sub-communities will always have the freedom to choose different variants or forks which offer different design trade-offs.

When the time comes that you have multiple versions or forks of Zcash that you can use, we — the Zcash Founders — will not be able to dictate which ones you use. But, assuming we are still leading developers, what versions or forks of it we support will be an important factor to you. So in a future blog post, we will sketch out some of the versions and forks of Zcash we anticipate supporting in the future.

(Teaser: we think the Zcash community can learn from the experiences of the pioneers — Bitcoin and Ethereum — and find a balance between Bitcoin's stability and Ethereum's agility.)

</div>
<div id="summary" class="section">
<h2>Summary</h2>
Zcash is launching soon as an open financial system with zero-knowledge privacy. It is a <em>consensual</em>, <em>community-based</em>, and <em>developer-supported</em> cryptocurrency.

If it thrives and grows big enough, it will eventually split into multiple sub-communities that share and use multiple technologies. This will probably include forks of the original Zcash blockchain. Don't be scared — that's a good thing.

</div>