---
ID: 1623
post_title: 'User Expectations at Sprout Pt. 1: Slow-Start Mining &amp; Mining Ecosystem'
author: Paige Peterson
post_excerpt: ""
layout: post
permalink: >
  https://blog.z.cash/slow-start-and-mining-ecosystem/
published: true
post_date: 2016-10-14 00:00:00
---
<p>Zcash Sprout represents the beginning of a global ecosystem focused on user privacy and secure consensus requiring the growing support of individuals all over the world to facilitate it. Equally important are the conservation tactics at the beginning stages of Sprout so any key early issues can be solved without affecting a large portion of users. This approach also allows for a period of early user and ecosystem experimentation. Sprout is only a milestone in the long-term mission for Zcash and as such, users should set their expectations appropriately especially during what we’re calling, the slow-start mining period.</p>
<div class="section" id="slow-start-and-zec-scarcity">
<h2>Slow-start and ZEC scarcity</h2>
<p>In order to give the network and its development some breathing room, Zcash is implementing a slow-start mechanism for the first 20,000 blocks (or about 34 days). In the event of a major bug or security vulnerability in the protocol, the slow-start will minimize the impact as initially, the block reward will be a fraction of the eventual 12.5 ZEC that will be created for each block for the first 850,000 blocks - at which point, the block reward halves. Over the slow-start period, the block reward will gradually and linearly increase until it reaches the full 12.5 ZEC at the 20,000th block.</p>
<div class="figure align-center" style="width: 85%">
<img alt="ZEC distribution rate for first 30,000 blocks" src="http://blog.z.cash/wp-content/uploads/2016/11/slow-start-rate-30k.png"/><p class="caption">ZEC distribution rate for first 30,000 blocks</p>
</div>
<p>This linear rate increase effectively creates half as many ZEC in the 20,000 block period resulting in 125,000 ZEC mined instead of the expected 250,000 ZEC. For this reason, the first halving interval is 10,000 blocks longer so that the overall monetary curve is unchanged.</p>
<div class="figure align-center" style="width: 75%">
<img alt="Total ZEC distributed for first 30,000 blocks" src="http://blog.z.cash/wp-content/uploads/2016/10/slow-start-total-30k.png"/><p class="caption">Total ZEC distributed for first 30,000 blocks</p>
</div>
<p>Further, the impact of the slow-start distribution period on total ZEC becomes insignificant as time goes forward making it a consideration only initially and temporarily.</p>
<div class="figure align-center" style="width: 75%">
<img alt="Total ZEC distributed for first 190,000 blocks" src="http://blog.z.cash/wp-content/uploads/2016/10/slow-start-total-190k.png"/><p class="caption">Total ZEC distributed for first 190,000 blocks</p>
</div>
<p>While this is a supportive effort to aid initial scaling of the network in a technical sense, it is also necessary to set reliable expectations on how it could affect the value of the currency. The increased scarcity at the start of Sprout may be a cause for price volatility. The best thing the community can do here is be aware of this potential variance during and after the slow-start. Perhaps this is a good point to clarify that none of this should serve as investment advice but instead an effort to level the playing field and protect the earliest of adopters. And of course, at any time during and after slow-start, it’s important to never invest what you can’t afford to lose. When using any experimental technology, the best way to have a positive experience is to stay aware, be cautious and don't forget to have fun!</p>
</div>
<div class="section" id="small-miners-and-early-adoption">
<h2>“Small” miners and early adoption</h2>
<p>Slow-start mining also offers users and third-party developers time to experiment themselves, limiting any gold-rush effect that may occur otherwise. For users interested in mining, they can expect the launch of Sprout to be a good time to test their mining capabilities especially with regards to the differences from other proof-of-work mining algorithms. One of the great things about starting a new blockchain is being able to experiment with alternate decentralization metrics through other consensus models. One of the reasons we chose <a class="reference external" href="/why-equihash/">Equihash</a> is for the ASIC-resistant properties which in theory make the network more accessible to “small” miners who are extremely valuable for providing a market balance to other miners with significantly more capabilities.</p>
<p>While the lasting effect of ASIC resistance is, at least at this stage, unpredictable, the more people participating in mining, the stronger the network will be against any future growing disparity and centralization in mining power. We fully anticipate a variety of mining abilities but hope for an improvement in previously implemented protocols such that the “small” miners can keep the “big” miners in check by experimenting early on in Sprout and contributing in the name of the network and community rather than the profit-driven motives of the larger miners. Previous proof-of-work based blockchains have exhibited a mining ecosystem where it's easier to contribute processing power in the early days and this could very well hold true for Zcash as well.</p>
<p>If this technology is important for you and you want to see it thrive as much as we do, consider experimenting with us during Sprout and share some computing power to the global consensus driving the Zcash blockchain.</p>
<p>At Sprout, users should keep an eye on potential volatility in the market and stay aware when investing in ZEC. Simultaneously, users should take advantage of the experimental period of slow-start mining by testing their mining capabilities in an effort to help reduce disparity of miners and prevent centralization. The next post in this series will focus on the software usability and hardware expectations users should have for Zcash core in which I’ll share my own experiences installing and using the Beta software.</p>
</div>