---
ID: 1643
post_title: Third Party Support at Launch
author: Maureen Walsh
post_excerpt: ""
layout: post
permalink: https://blog.z.cash/third-party-support/
published: true
post_date: 2016-10-29 00:00:00
---
<p><strong>Update: 2017-09-25</strong> - This article is left as-is for posterity. The list of supporting services and vendors for Zcash is constantly evolving. See ZcashCommunity.com's lists of <a class="reference external" href="https://www.zcashcommunity.com/markets/">markets</a> and <a class="reference external" href="https://www.zcashcommunity.com/wallets/">wallets</a> for up-to-date community-curated lists.</p>
<p>The Zcash core team is thrilled to have many supporters at launch. It is a sign of a robust and diverse ecosystem already beginning to grow.</p>
<p>Zcash is an experimental new technology and external support is highly valuable at this nascent stage. As a science-based team, we are focusing our energies on building and engineering the protocol, and we do not have current plans to build a GUI wallet. There are multiple developers in our community who have stepped up to do so.</p>
<p>What follows is a list of some of the wallets and exchange that we currently know about.</p>
<p>A word of caution: there have already been multiple scams and fraudulent projects, so we suggest researching any third-party application well before using.</p>
<p>This post is intended for Zcash users who want to involve themselves in the early phase of the ecosystem but do not know how to install and run the Zcash software (Linux-only, command-line tool). This post is not an endorsement of any wallet or exchange. Rather it’s a listing of current providers – that we know about – who already support Zcash.</p>
<p>We hope that as this community grows, other individuals will take on the responsibility of maintaining a repository or lists of Zcash providers. For example, Zcash contributor <a class="reference external" href="https://forum.z.cash/users/vaklinov/activity">@vaklinov</a> has begun hosting a list of wallets here: <a class="reference external" href="https://zcashblog.wordpress.com/zcash-gui-wallets/">https://zcashblog.wordpress.com/zcash-gui-wallets/</a>.</p>
<p>We have not yet written down our thoughts about the privacy consequences of using Zcash via third-party service providers. For the time being, you could probably just simplify by assuming that when you use a third-party service provider, the metadata about your transactions will be visible to others — at least to that provider and probably also to others who can see the transactions associated with your address, in the blockchain.</p>
<p>However, if the people you are transacting with use Zcash’s shielded addresses, then that may give you a degree of privacy even if you are not yet using shielded addresses yourself. We will write more to explain the way this works in the future.</p>
<div class="section" id="id1">
<h2>WALLETS</h2>
<div class="line-block">
<div class="line"><strong>Cockpit UI Wallet</strong> - <a class="reference external" href="https://github.com/hellcatz/zcash-cli-cockpit">https://github.com/hellcatz/zcash-cli-cockpit</a></div>
<div class="line">From the Cockpit site, “This wallet allows users to access their ZCash wallet remotely via a Web UI. This makes it ideal for managing multiple systems mining ZCash. The complete information on how to install the ZCash Cockpit UI Wallet may be found on <a class="reference external" href="https://github.com/hellcatz/zcash-cli-cockpit">GitHub</a>.”</div>
<div class="line"><br/></div>
<div class="line"><strong>Desktop GUI Wallet</strong> - <a class="reference external" href="https://github.com/vaklinov/zcash-swing-wallet-ui">https://github.com/vaklinov/zcash-swing-wallet-ui</a></div>
<div class="line">From an official representative, “It communicates with the ZCash server (zcashd) running locally via the zcash-cli program. When installed, it is packaged as one executable JAR file (ZCashSwingWalletUI.jar) and requires Java (JDK7 or later). The details of how to obtain, and install the ZCash Desktop GUI wallet may be found <a class="reference external" href="https://github.com/vaklinov/zcash-swing-wallet-ui">on GitHub</a>. Users who are less experienced with working on a command line, may instead use this quite user-friendly <a class="reference external" href="https://www.cryptocompare.com/wallets/guides/how-to-install-the-zcash-gui-wallet">installation guide</a> and <a class="reference external" href="https://www.cryptocompare.com/wallets/guides/how-to-use-the-zcash-gui-wallet">usage guide</a>.”</div>
<div class="line"><br/></div>
<div class="line"><strong>Jaxx</strong> - <a class="reference external" href="https://jaxx.io/">https://jaxx.io/</a></div>
<div class="line">From a Jaxx representative, “This is a multi-token blockchain wallet that provides a unified experience across 9 platforms and devices, including Windows, Apple and Linux desktops, Apple and Android mobile devices and tablets, as well as Google Chrome and Firefox extensions. The Jaxx wallet enables crypto-to-crypto buying and selling with frictionless in-wallet conversion. Users are always in control of their keys and Jaxx neither holds nor has access to customer funds.”</div>
<div class="line"><br/></div>
<div class="line"><strong>TREZOR</strong> - <a class="reference external" href="http://bitcointrezor.com/">http://bitcointrezor.com/</a></div>
<div class="line">From a TREZOR representative, “This is a hardware Bitcoin wallet; a single purpose device which allows you to make secure Bitcoin transactions. With TREZOR, transactions are completely safe even when initiated on a compromised or vulnerable computer. Because the use of TREZOR is very easy and intuitive we believe it will help Bitcoin adoption among people not familiar with the security issues.”</div>
<div class="line"><br/></div>
<div class="line"><strong>Waterhole GUI mobile wallet</strong> - <a class="reference external" href="https://waterhole.io/">https://waterhole.io/</a></div>
<div class="line">From the waterhole.io site, “This is a trading platform and a wallet provider for multiple crypto-currencies. It already supports ZCash.”</div>
</div>
</div>

<div class="section" id="exchanges">
<h2>EXCHANGES</h2>
<div class="line-block">
<div class="line"><strong>Bitfinex</strong> - <a class="reference external" href="https://www.bitfinex.com/">https://www.bitfinex.com/</a></div>
<div class="line">From the Bitfinex website: “This is one of the leading cryptocurrency exchanges, and the world’s largest exchange by volume for trading bitcoin against the US Dollar.”</div>
<div class="line"><br/></div>
<div class="line"><strong>Bittrex</strong> - <a class="reference external" href="https://bittrex.com/">https://bittrex.com/</a></div>
<div class="line">From the Bittrex website, “Based and fully regulated in the USA, Bittrex is the go-to spot for traders who demand lightning fast trade execution, stable wallets, and industry-best security practices.”</div>
<div class="line"><br/></div>
<div class="line"><strong>Bitnow</strong> - <a class="reference external" href="https://bitnow.co.nz/">https://bitnow.co.nz/</a></div>
<div class="line">New Zealand</div>
<div class="line"><br/></div>
<div class="line"><strong>Bitsquare</strong> - <a class="reference external" href="https://bitsquare.io/bitsquare.pdf">https://bitsquare.io/bitsquare.pdf</a></div>
<div class="line">From the Bitsquare whitepaper, “This is an open source peer-to-peer application that allows anyone to buy and sell Bitcoin in exchange to national currencies or alternative crypto currencies.”</div>
<div class="line"><br/></div>
<div class="line"><strong>Changelly</strong> - <a class="reference external" href="https://changelly.com/">https://changelly.com/</a></div>
<div class="line">From a Changelly representative, “Changelly is an instant cryptocurrency exchange.”</div>
<div class="line"><br/></div>
<div class="line"><strong>HitBTC</strong> - <a class="reference external" href="https://hitbtc.com/">https://hitbtc.com/</a></div>
<div class="line">From an HitBTC representative, “This is a global platform dealing with virtual currencies, providing advanced exchange and clearing technologies. HitBTC is operated by Beta Business Solutions Inc.”</div>
<div class="line"><br/></div>
<div class="line"><strong>Kraken</strong> - <a class="reference external" href="https://www.kraken.com/">https://www.kraken.com/</a></div>
<div class="line">From the Kraken website, “Mainly a Euro and US Dollar exchange for Bitcoin and Litecoin, but also offers markets for several other cryptocurrencies and fiat currencies.”</div>
<div class="line"><br/></div>
<div class="line"><strong>Poloniex</strong> - <a class="reference external" href="https://poloniex.com/">https://poloniex.com/</a></div>
<div class="line">From the Poloniex website, “A US-based cryptocurrency exchange offering maximum security and advanced trading features, trading in numerous virtual currencies, including Bitcoin, Ethereum, Litecoin and Dogecoin.”</div>
<div class="line"><br/></div>
<div class="line"><strong>ShapeShift</strong> - <a class="reference external" href="https://shapeshift.io">https://shapeshift.io</a></div>
<div class="line">From a ShapeShift representative, “This is a crucial piece of infrastructure in the world of Bitcoin. From start to finish, users can exchange blockchain tokens in seconds, with no account required. No emails or passwords. No lengthy sign up process. No accounts. No bid and ask orders. No friction. ShapeShift's goal is the fastest, safest, and most convenient way to swap digital assets.</div>
<div class="line"><br/></div>
<div class="line"><strong>YUNBI</strong> - <a class="reference external" href="https://yunbi.com">https://yunbi.com</a></div>
<div class="line">From the YUNBI website, “Formerly Peatio Exchange, YUNBI is an open source cryptocurrency exchange cofunded by BitFundPE.”</div>
</div>
<p>There are many more discussions open on the <a class="reference external" href="https://forum.z.cash">Forum</a>. Join the community to contribute and participate!</p>
<p>If you are interested in providing external support by creating a wallet or supporting Zcash on your exchange, please view the <a class="reference external" href="https://z.cash/support/zig.html">Zcash Integration Guide</a>, and contact <a class="reference external" href="mailto:info@z.cash">info@z.cash</a> to reach a real-live human for further discussion. If you want favorite exchange or wallet to support Zcash, we encourage you to reach out to them and ask!</p>
</div>