---
ID: 1641
post_title: The Near Future of Zcash
author: Zooko Wilcox
post_excerpt: ""
layout: post
permalink: >
  https://blog.z.cash/the-near-future-of-zcash/
published: true
post_date: 2017-02-21 00:00:00
---
<p><a class="reference external" href="/helloworld/">Our Mission</a> is to make Zcash the premier platform for commerce — secure, borderless, and available equally to every person on our planet. We believe that Zcash can do for resource sharing and coordination what the Internet did for communication.</p>
<div class="section" id="the-story-so-far">
<h2>the story so far</h2>
<p><a class="reference external" href="/zcash-begins/">Zcash first launched</a> on October 28, 2016. During the first few months of its life, we focused on stabilization and incremental improvement.</p>
<p>We delivered a series of improvements (the <a class="reference external" href="/tag/releases/">“Zcash Sprout” series</a> of releases) which fix bugs and improve usability based on iterative feedback from our lovely users. Our users are the best! ❤</p>
<p>At the same time, we've been monitoring and supporting the continuous reliable operation of <a class="reference external" href="https://network.zcha.in/">the global Zcash network</a>. So far, the network has experienced zero downtime, and no security breaches.</p>
<p>Now we are announcing our development priorities for the next stage of Zcash's growth.</p>
<!-- We intend for Zcash to evolve faster than Bitcoin does but slower than Ethereum. We believe this will yield a good compromise of stability and innovation. -->
</div>
<div class="section" id="stability">
<h2>stability</h2>
<p>Our first and second priorities will always be:</p>
<ol class="arabic simple"><li><strong>Security and reliability</strong>, and</li>
<li><strong>Iterative improvement</strong> in response to demand from our users.</li>
</ol><p>We will continue to vigilantly guard the security of the system, support our users, and deliver regular stable releases as we have been doing.</p>
</div>
<div class="section" id="innovation">
<h2>innovation</h2>
<ol class="arabic"><li><p class="first"><strong>Payment Disclosure</strong> will allow you to reveal the information about a specific payment (including the <a class="reference external" href="/encrypted-memo-field/">encrypted memo field</a>) in the blockchain to a specific party of your choice.</p>
<p>This could be used, for example, by an exchange to prove to a customer or to a third party adjudicator that they sent a certain payment, without revealing the payment information to any unauthorized parties. (<a class="reference external" href="https://github.com/zcash/zcash/issues/2036">Payment Disclosure on GitHub</a>)</p>
</li>
<li><p class="first"><strong>Payment Off-loading</strong> will allow users of light wallets to send Zcash to shielded addresses without placing any funds at risk. (<a class="reference external" href="https://github.com/zcash/zips/issues/104">Payment Off-loading on GitHub</a>)</p>
</li>
<li><p class="first"><strong>Cross-Chain Atomic Transactions (“XCAT”)</strong>, part of our <a class="reference external" href="https://forum.z.cash/t/there-are-three-different-flavors-of-project-alchemy/13963">Project Alchemy initiative</a>, will allow transactions that span multiple blockchains. This will enable you to trade Zcash, Ethereum, and Bitcoin tokens without relying on an intermediary. (<a class="reference external" href="https://github.com/zcash/zcash/issues/2098">XCAT on GitHub</a>)</p>
</li>
<li><p class="first"><strong>The “Sapling” Cryptography Upgrade</strong> will be our first upgrade of the core Zcash protocol which will bring efficiency improvements and enable new kinds of core protocol features. The primary example being:</p>
</li>
<li><p class="first">… <strong>User-Issued Tokens</strong>, which allow you to issue, transfer, and atomically trade unique tokens for your own purposes, with Zcash's strong privacy protections. (<a class="reference external" href="https://github.com/zcash/zcash/issues/830">User-Issued Tokens on GitHub</a>)</p>
</li>
</ol><p>The Sapling upgrade with User-Issued Tokens will require a <a class="reference external" href="/zcash-evolution/">network-wide upgrade</a>, and once we reach that stage we will name the new release series “Zcash Sapling”. At that point the infant Zcash Sprout series will be no more.</p>
<div class="figure align-center">
<img alt="Zcash Sprout to Sapling logo transition" class="center-image" src="http://blog.z.cash/wp-content/uploads/2017/02/zcash-sprout-to-sapling.png"/></div>
</div>
<div class="section" id="this-is-only-the-beginning">
<h2>this is only the beginning</h2>
<p>This is only the beginning! There are already many gleams in our eyes for dramatic, breakthrough improvements that we intend to make after Sapling. Along the way we might also adapt our priorities to support new developments, like Lightning Network or its more privacy-protecting cousin <a class="reference external" href="/bolt-private-payment-channels/">BOLT</a>. Other teams and companies may also come out with applications that extend Zcash or leverage its unique features, so stay tuned.</p>
<p>We will continue to listen carefully to our users, and learn from them what improvements will help them the most, both in the short term and the long term. <a class="reference external" href="https://z.cash/support">Join the growing Zcash community</a> and let us know what <em>you</em> envision for the future!</p>
<p>As we wrote at the beginning, the ultimate destiny of Zcash lies not in our hands but in yours.</p>
</div>