---
ID: 1622
post_title: A Shielded Ecosystem
author: Paige Peterson
post_excerpt: ""
layout: post
permalink: https://blog.z.cash/shielded-ecosystem/
published: true
post_date: 2017-02-28 00:00:00
---
<p>In Zcash, users have the option to employ transparent or shielded addresses for sending, receiving and storing their ZEC. While this decision might initially seem like a choice that only affects the visibility of a single user’s personal finances, the greater ecosystem is affected by the overall trend of users choosing one or the other. In our <a class="reference external" href="/transaction-linkability/">Transaction Linkability</a> blog post, we explained how a user's financial privacy is strengthened by the use of shielded addresses by friends and businesses they transact with. This post explains why an increase in shielded address use supports overall ecosystem privacy.</p>
<div class="section" id="strength-in-numbers-and-diversity">
<h2>Strength In Numbers and Diversity</h2>
<p>To better understand the ecosystem-wide effects of shielding in Zcash, first consider the more common privacy practice of mailing documents and letters in envelopes. The documents on their own are a set of unique objects but once sealed inside an envelope, look relatively similar to other mailed documents.</p>
<p>Now, imagine a world where most people mail non-sensitive messages on postcards and save the masking feature of envelopes for more classified information such as tax and bank documents. Even though the contents of the more sensitive documents remain sealed in envelopes, the smaller set of envelopes and narrowed use-case makes envelopes an easier target for someone like an identity thief on the hunt for personal information. The decreased use of envelopes for non-sensitive correspondence creates a higher chance that envelopes will contain classified information and a higher rate of success for bad actors.</p>
<p>Now compare that to the current world where people use envelopes for a wider range of purposes, even mundane correspondences. The increased quantity of sealed messages forms a larger set of similar-looking objects, when in fact, their contents are diverse. This might force an identity thief to reconsider their risk to reward ratio for targeting envelopes.</p>
</div>
<div class="section" id="shielding-the-zcash-ecosystem">
<h2>Shielding The Zcash Ecosystem</h2>
<p>In the Zcash ecosystem, the number of shielded addresses and diversity of use has a similar effect on the ability to analyze sensitivity of transactions.</p>
<div class="figure align-center">
<img alt="A depiction of a transaction graph with a smaller number of shielded addresses" class="center-image high-res-image" src="http://blog.z.cash/wp-content/uploads/2017/02/ecosystems-more-t.png"/></div>
<p>When a smaller number of shielded addresses are used in transactions, the diversity of use is limited. So in a situation where the value held in shielded addresses is 50% of all ZEC but the number of shielded addresses is 10%, then it's relatively trivial to assume that shielded addresses on average have a higher balance, making them a higher target for attempts at theft. This smaller shielded set can also provide an easier time for an observer of the Zcash blockchain to build identity profiles for users of shielded addresses. Public data like the timestamps associated with transactions sent from shielded addresses is one way that those users might be at risk for loss of privacy.</p>
<div class="figure align-center">
<img alt="A depiction of a transaction graph with a larger number of shielded addresses" class="center-image high-res-image" src="http://blog.z.cash/wp-content/uploads/2017/02/ecosystems-more-z.png"/></div>
<p>On the other hand, in a Zcash ecosystem with a larger set of transactions between shielded addresses, analysis of those transactions and the individuals behind them is less effective. Even better, if all Zcash users employ shielded addresses including for the more mundane purchases, then a bad actor’s rationale to attempt a targeted attack for theft or profiling becomes unreliable.</p>
</div>
<div class="section" id="a-community-effort-for-a-shielded-ecosystem">
<h2>A Community Effort For A Shielded Ecosystem</h2>
<p>Thankfully, unlike other methods by cryptocurrencies to provide user privacy, all shielded addresses look the same to observers of the Zcash blockchain, and therefore the quantity of shielded addresses in use directly correlates to the privacy of the ecosystem as a whole.  At the time of this post, the number of Zcash transactions involving a shielded address is just above <a class="reference external" href="https://explorer.zcha.in/statistics/network">29%</a>, however the number of fully shielded transactions (strictly between shielded addresses) is a subset of this. Fortunately, this percentage has been moving in an upward trend.</p>
<p>As development continues and the ecosystem grows, we expect the above percentage to continue to rise in addition to the subset of fully shielded transactions. Support for shielded addresses in third-party services will be an important factor to this growth. Core development to reduce resource requirements and improve usability of shielded addresses is another key component towards a larger privacy pool and thriving shielded ecosystem. We continue to encourage the community to utilize shielded addresses for sending and receiving ZEC to strengthen the privacy for everyone.</p>
</div>