---
ID: 1612
post_title: 'R3 Report on Confidentiality &amp; Privacy for Blockchains'
author: Jack Gavigan
post_excerpt: ""
layout: post
permalink: >
  https://blog.z.cash/r3-blockchain-report/
published: true
post_date: 2017-03-08 00:00:00
---
<p>Last year, <a class="reference external" href="http://www.r3cev.com/">R3</a> commissioned us to co-author (along with Danny Yang, founder of blockchain analytics company <a class="reference external" href="https://www.blockseer.com/">Blockseer</a>) a report that compares and contrasts the different techniques for making blockchains more private. The report was completed in early November and distributed to the R3 consortium’s membership, where it was well-received. Today, <a class="reference external" href="https://www.r3cev.com/blog/2017/3/8/survey-of-confidentiality-and-privacy-preserving-technologies-for-blockchains">R3 have published it on their website</a>.</p>
<p>In the report, we describe and compare various approaches to adding confidentiality and privacy to blockchains, including various tumbling and mixing protocols such as Coinjoin and Coinshuffle, the use of stealth addresses, Pedersen commitments with range proofs (more commonly known as Confidential Transactions), ring signatures (used by Monero) and zero-knowledge proofs (as implemented in Zcash). We also take a look at the Hawk and Enigma protocols for enabling the use of private smart contracts and multi-party computation of encrypted data.</p>
<p>The report is aimed at a non-technical audience, so our descriptions and explanations of how the various techniques work, are written to facilitate a high-level understanding by people with no background in computer science or cryptography, rather than being exhaustively accurate.  For people who are interested in delving deeper into the detail that we have glossed over, we’ve provided links in the footnotes to the relevant source material and academic papers.</p>
<p>Blockchain technology is a fast-evolving field, so this report is necessarily a snapshot of the confidential and privacy techniques that were public at the time it was written. The intervening months have seen the release of <a class="reference external" href="https://www.corda.net/#intro">R3's Corda</a> and <a class="reference external" href="https://www.jpmorgan.com/Quorum">JP Morgan's Quorum</a>, and <a class="reference external" href="http://www.coindesk.com/chain-previews-new-blockchain-privacy-tech-confidential-assets/">Chain has previewed their "Confidential Assets" technology</a>. We expect to see further developments and progress in this space throughout 2017.</p>
<p>We’d like to thank R3 for commissioning this report, and our co-author Danny Yang for working with us to make it happen. We’d also like to thank everyone who provided feedback and suggestions, particularly Andrew Miller, Antony Lewis, Ariel Gabizon, Emily Rutland, Ian Grigg, Ian Miers, Mike Ward, Paige Peterson, Shihao Guo, Tim Swanson and Vitalik Buterin.</p>
<p><a class="reference external" href="https://z.cash/static/R3_Confidentiality_and_Privacy_Report.pdf">Download the report in PDF format</a>.</p>