---
ID: 1637
post_title: 'State of the Network: 1,000,000 ZEC Edition'
author: Zooko Wilcox
post_excerpt: ""
layout: post
permalink: >
  https://blog.z.cash/state-of-the-network-2017-04-03/
published: true
post_date: 2017-04-02 00:00:00
---
<p>The Zcash blockchain has completed the distribution of <a class="reference external" href="https://explorer.zcha.in/statistics/timeseries?hashrate=false&amp;trnstx=false&amp;shldtx=false">the first 1,000,000 Zcash coins</a>. Only 20,000,000 more to go! Now's a good time for your irregularly scheduled “State of the Network” update.</p>
<hr class="docutils"/><p>It has been five months since <a class="reference external" href="/zcash-begins">the beginning of the blockchain</a>. <a class="reference external" href="https://explorer.zcha.in/network">The network</a> has been running more smoothly than we expected. Like any software project, there have been bugs, but all have been relatively minor issues, quickly fixed, and most importantly none have led to loss of funds or loss of privacy (although be aware of the <a class="reference external" href="https://z.cash/support/security/privacy-security-recommendations.html">known issues</a>). If you are aware of any security or privacy problems, please <a class="reference external" href="https://z.cash/contact.html">contact us</a>. Also keep an eye on the <a class="reference external" href="https://z.cash/support/security/index.html">Zcash Security Information</a> page.</p>
<hr class="docutils"/><p>Despite the good track record so far, Zcash remains an experimental and unproven technology. Nobody should risk more money on Zcash than they can afford to lose. Even though we invested substantially in getting <a class="reference external" href="/audit-results">independent security audits</a> before launch, it is always possible that they overlooked bugs, and it is always possible that the changes we've made since launch have inadvertently introduced new bugs.</p>
<hr class="docutils"/><p>We have delivered — as planned — a steady sequence of <a class="reference external" href="/tag/releases/">stable software updates</a> every three weeks. I'm proud of the engineering team for consistently delivering new releases on time. Going forward, we'll probably reduce the frequency of our stable releases, and focus instead on researching and developing more significant improvements to functionality and efficiency.</p>
<hr class="docutils"/><p>We've announced our priorities for new improvements, <a class="reference external" href="/the-near-future-of-zcash">“The Sapling Roadmap”</a>. I'm excited about the improvements that we're working on. If you have uses for any of these upcoming new features, please <a class="reference external" href="https://z.cash/contact.html">contact us</a> so that we can make sure the design and the interface fit your needs.</p>
<hr class="docutils"/><p>The <a class="reference external" href="/announcing-the-zcash-foundation">Zcash Foundation was announced</a>, with an initial endowment of 273,000 Zcash coins (over the first four years of mining). It will serve the greater good: education, science, public infrastructure, and consumer protection. If our company were ever to fail, pivot away from Zcash, or turn evil, the Zcash Foundation would carry on, because the Foundation is neither reliant upon nor subject to the company.</p>
<p>In the long run, I hope The Zcash Foundation will serve as an inclusive governance structure for everyone in the large and growing Zcash ecosystem to coordinate.</p>
<hr class="docutils"/><p>There are about 90,000 transactions — 23,000 of which involve shielded addresses — <a class="reference external" href="https://explorer.zcha.in/statistics/usage">sent over the Zcash network</a> each month! That is what is important about Zcash — that it can serve as a fast, cheap, safe medium of exchange that reaches anywhere the Internet reaches. Try it out by installing a <a class="reference external" href="https://www.zcashcommunity.com/wallets/">Zcash wallet</a> and buying some Zcash from <a class="reference external" href="https://www.zcashcommunity.com/markets/">a market</a>. Then get a friend to install a Zcash wallet and send them some of your Zcash. ☺</p>
<hr class="docutils"/><p>Stay tuned! There is going to be a lot of good news coming. Watch this blog, the <a class="reference external" href="https://forum.z.cash">community forum</a>, the <a class="reference external" href="https://twitter.com/ZcashCo">company twitter</a>, and (for programmers) <a class="reference external" href="https://github.com/zcash/zcash/issues?q=is%3Aissue+is%3Aopen+sort%3Aupdated-desc">the github repo</a>.</p>
<p>Remember, we developers started the Zcash project, but its destiny is in your hands.</p>