---
ID: 1566
post_title: Getting Started Developing with Zcash
author: Paige Peterson
post_excerpt: ""
layout: post
permalink: >
  https://blog.z.cash/getting-started-developing/
published: true
post_date: 2017-05-11 00:00:00
---
<p>Over the short history of Zcash, we've seen a substantial growth in the ecosystem from <a class="reference external" href="https://www.zcashcommunity.com/wallets/">wallets</a> and <a class="reference external" href="https://www.zcashcommunity.com/markets/">exchanges</a> to more experimental applications like <a class="reference external" href="https://github.com/whyrusleeping/zmsg">zmsg</a>. As the Zcash core development team continues to improve the underlying Zcash protocol, we encourage more developers to join the community!</p>
<p>You can easily integrate Zcash into your existing cryptocurrency app, or you can use Zcash to build something new. There's plenty of opportunity to become part of the roots growing the Zcash ecosystem.</p>
<div class="section" id="level-1-support-transparent-addresses">
<h2>Level 1 Support (Transparent addresses)</h2>
<p>Supporting transparent addresses in Zcash is a very similar process to supporting bitcoin. Implementing these addresses is the simplest way to get started and this is by far the most popular way we've seen third-parties make use of Zcash in their applications, at least for now.</p>
<p>While transparent addresses don't allow users to send privately, in many cases the mere existence and use of shielded addresses by others provides <a class="reference external" href="/transaction-linkability/">protection from linkability</a>.</p>
</div>
<div class="section" id="level-2-support-shielded-addresses">
<h2>Level 2 Support (Shielded addresses)</h2>
<p>Supporting shielded addresses requires more work but we encourage those interested to take advantage of their added capabilities. <a class="reference external" href="https://shapeshift.io">ShapeShift</a> and <a class="reference external" href="https://keybase.io/blog/keybase-and-zcash">Keybase</a> are two examples of services which work with shielded addresses.</p>
<p>We're doing a lot of work to make shielded addresses easier to support and more useful. For example, some <a class="reference external" href="/near-future-priorities/">near future priorities</a> for Zcash development include <a class="reference external" href="https://github.com/zcash/zcash/pull/2159">payment disclosure</a> and <a class="reference external" href="https://github.com/zcash/zcash/pull/2120">payment offloading</a> which open up a lot of opportunities for third-parties. If you're interested in being one of the first to implement these when they're released as experimental features, get in touch (see below)!</p>
</div>
<div class="section" id="getting-started-with-zcash-integration">
<h2>Getting Started with Zcash Integration</h2>
<p>The quest to establish an Internet money ecosystem requires a variety of third-party services and we are here to help!</p>
<p>Please view the <a class="reference external" href="https://z.cash/support/zig.html">Zcash Integration Guide</a> to get started with either <cite>Level 1</cite> or <cite>Level 2</cite> Zcash integration. You can get help by posting on our <a class="reference external" href="https://forum.z.cash">forum</a>, joining us in the <a class="reference external" href="https://chat.zcashcommunity.com">community chat</a> or, if you prefer, sending us an <a class="reference external" href="mailto:info@z.cash">email</a>.</p>
<p>If you're not a developer but want your favorite wallet, payment processor or cryptocurrency service to support Zcash, we encourage you to reach out to them with the <a class="reference external" href="https://z.cash/support/zig.html">Zcash Integration Guide</a> and tell them why you want them to support Zcash!</p>