---
ID: 1663
post_title: 'Press release: Zero-knowledge Security Layer to be Added to Quorum Blockchain Platform'
author: Zooko Wilcox
post_excerpt: ""
layout: post
permalink: https://blog.z.cash/zsl-quorum/
published: true
post_date: 2017-05-22 00:00:00
---
The Zerocoin Electric Coin Company (ZECC), developers of the Zcash™ digital currency, today announced a partnership with J.P. Morgan, one of the world’s largest banks, to add technology from Zcash to J.P. Morgan's enterprise blockchain platform, Quorum.

This technology will extend Quorum’s existing privacy protections — which already offer private smart contracts — to add cryptographically assured, private settlement of digitized assets on a distributed ledger without a central intermediary.

Zooko Wilcox, CEO of the Zerocoin Electric Coin Company said, “We’re delighted to be working with J.P. Morgan on this project. Quorum’s innovative, open source design demonstrates that J.P. Morgan is leading the way for applications of distributed ledger technology in global finance. Zcash is the leading technology for cryptographic protection of assets on a distributed ledger. Combining these will unlock transformative possibilities.”

The team behind Zcash includes many of the scientists and engineers behind the advanced cryptography that enables Zcash’s unique privacy and confidentiality. They recently announced plans to explore potential enterprise applications for this technology. Quorum is the first distributed ledger platform that will feature this zero-knowledge security layer (ZSL). J.P. Morgan's Quorum is an enterprise-ready distributed ledger and smart contract platform, based on the Ethereum protocol. It is open source and can be freely used and extended.

Quorum has been featured in presentations by the Enterprise Ethereum Alliance. J.P. Morgan is a founding member of the Enterprise Ethereum Alliance, and ZECC has just announced that it has also joined the Enterprise Ethereum Alliance.

“By adding the Zero-knowledge Security Layer into Quorum, we are able to explore how state of the art cryptographic privacy technology will enhance the next generation of financial services applications.”
– Suresh Shetty, J.P. Morgan Executive Director and Blockchain Center of Excellence Lead Architect

Zerocoin Electric Coin Company CEO Zooko Wilcox is available for interview.
ZECC press contact: <a class="reference external" href="mailto:press@z.cash">press@z.cash</a>

<strong>About Zerocoin Electric Coin Company:</strong>
The Zerocoin Electric Coin Company is a science-driven team; a combination of academic expertise in computer science and cryptography with security software engineering talent. We are developing the next generation of secure digital currency and blockchain technology through the use of zero-knowledge proofs, to guarantee privacy and confidentiality. More information on Zerocoin Electric Coin Company and the Zcash protocol is available at <a class="reference external" href="https://z.cash">https://z.cash</a>.

​
<strong>About J.P. Morgan’s Corporate &amp; Investment Bank:</strong>
J.P. Morgan’s Corporate &amp; Investment Bank is a global leader across banking, markets and investor services. The world’s most important corporations, governments and institutions entrust us with their business in more than 100 countries. With $21.4 trillion of assets under custody and $391 billion in deposits, the Corporate &amp; Investment Bank provides strategic advice, raises capital, manages risk and extends liquidity in markets around the world. Further information about J.P. Morgan is available at <a class="reference external" href="https://www.jpmorgan.com">www.jpmorgan.com</a>.