---
ID: 1567
post_title: Zcash Global Growth
author: Paige Peterson
post_excerpt: ""
layout: post
permalink: https://blog.z.cash/global-growth/
published: true
post_date: 2017-06-21 00:00:00
---
<p>Internet money enables people to send money anywhere in the world, cheaply <a class="footnote-reference" href="#id2" id="id1">[1]</a>, and in minutes. Zcash can be used for remittances and also expands job opportunities for remote knowledge workers — freelancers and employees. Furthermore, many countries are experiencing increasing instability of local currencies, prompting citizens to look into other options for storing and transferring value.</p>
<p>The rapid growth of Zcash into a global ecosystem highlights the many opportunities for Internet money. Below are some of the recent developments.</p>
<div class="section" id="argentina">
<h2>Argentina</h2>
<p>The newest expansion of the Zcash ecosystem comes from Argentina where <a class="reference external" href="https://www.ripio.com/">Ripio</a> has opted to include Zcash as the second cryptocurrency in its wallet. In addition to faster confirmation times and lower transaction fees, Ripio is excited about the enhanced privacy features that Zcash offers.</p>
<p>Sebastian Serrano, CEO of Ripio, says "For each transaction the user can choose to disclose the transaction to specific parties, whereas in Bitcoin all transactions are disclosed to all parties."</p>
<p>Now, Argentineans can load the Ripio wallet with their pesos from bank transfers, and through a network of thousands of locations where the unbanked can deposit cash. They can buy and sell Zcash for pesos, and send and receive Zcash anywhere around the world. This is a valuable opportunity for a country which suffers from inflation, low banking, and trade barriers.</p>
<p>Ripio will also soon expand its Zcash service to Brazil and Mexico.</p>
</div>
<div class="section" id="south-africa">
<h2>South Africa</h2>
<p>Not long ago, we wrote about the <a class="reference external" href="/zcash-in-brazil-and-south-africa/">exciting story</a> of <a class="reference external" href="https://coinbr.net/">CoinBR</a> and their <a class="reference external" href="https://coinbr.io/">SmartWallet</a> application which allows Brazilians to buy, sell and make phone credit or tax payments with Zcash. They're now launching similar services in South Africa which offer users support for exchanging between Zcash and the South African rand, in addition to paying utility bills and making traffic ticket payments.</p>
<p>In a recent demo the CEO of CoinBR, Rocelo Lopes, used Zcash to pay a ticket for a South African user from his home in Brazil. This simple demo illustrated the simplicity of using Zcash for cross-border payments and demonstrated the limitless potential of Internet money.</p>
<p>At the same time, another cryptocurrency exchange, <a class="reference external" href="https://www.altcointrader.co.za/">AltCoinTrader</a>, has added support for Zcash, providing the region's cryptocurrency users more options for exchanging to and from South African rands.</p>
<p>To South Africans, we say “Zcash is not government money. Zcash is Internet money.”</p>
</div>
<div class="section" id="china">
<h2>China</h2>
<p>Chinese markets have driven a large portion of cryptocurrency investments in recent years. An <a class="reference external" href="https://medium.com/@ViaBTC/announcement-of-releasing-zec-cny-trading-pair-on-viabtc-88b3e707b1b4">announcement by Chinese exchange viaBTC</a> to include support for exchanging between Zcash and yuan means that there are now <a class="reference external" href="https://www.zcashcommunity.com/markets/">many different options</a> for Chinese people to buy and sell Zcash for yuan.</p>
</div>
<div class="section" id="and-beyond">
<h2>And beyond</h2>
<p>To all the new users introduced to Zcash by these recent developments: Welcome! As interest in Internet money continues to gain momentum, we're excited to hear about the other regions joining this expansion.</p>
<p>Please reach out to let the Zcash community know about any new support that we may not be aware of, especially in underserved areas. Wallets and exchanges considering adding Zcash support should reach out to us in <a class="reference external" href="mailto:info@z.cash">email</a> or by joining our <a class="reference external" href="https://chat.zcashcommunity.com">community chat</a>, we'd be happy to help!</p>
<table class="docutils footnote" frame="void" id="id2" rules="none"><colgroup><col class="label"/><col/></colgroup><tbody valign="top"><tr><td class="label"><a class="fn-backref" href="#id1">[1]</a></td><td>It currently costs $0.04 (4¢ U.S.) to send a Zcash transaction — containing any amount of money — anywhere in the world, in minutes. Cryptocurrency enthusiasts are well aware that it is a challenge to scale up a cryptocurrency to serve billions of people without causing the costs to rise precipitously. We at the Zcash team, along with many other researchers in academia and industry, are tackling that challenge. We hope to scale up Zcash to serve all humans while keeping costs as low as possible.</td></tr></tbody></table>