---
ID: 1646
post_title: >
  A Preliminary UX Survey of the Zcash
  Ecosystem
author: Paige Peterson
post_excerpt: ""
layout: post
permalink: https://blog.z.cash/ux-research/
published: true
post_date: 2017-08-21 00:00:00
---
<p>Zcash hired a user experience specialist to study the Zcash ecosystem. Linda works to streamline UX in software, but had no experience with cryptocurrency before this project.</p>
<p>Below are the resulting reports: the first illustrates what it’s like to purchase something with Zcash for the first time, the second examples Jaxx and Cryptonator for usability issues and interaction-related bugs, and the third summarizes general UX challenges across cryptocurrencies.</p>
<div class="figure align-center">
<a class="reference external image-reference" href="https://docs.google.com/presentation/d/103iFzueCjW0T5bOvVi36EtgrHUU-f1BSvF6fL561HOo/embed?start=true&amp;loop=false&amp;delayms=3000#slide=id.g23274209fc_3_23"><img alt="Intro slide to &quot;What it's like to buy something with ZEC for the first time&quot;" class="center-image" src="http://blog.z.cash/wp-content/uploads/2017/08/slide-purchase-with-zec.png"/></a>
</div>
<p>Join Linda as she tries to buy a charger with Zcash online. She was able to find a great availability of car chargers through purse.io, found that altcoins were supported on purse.io through Shapeshift, and successfully paid for the charger with cryptonator--but encountered some issues along the way.</p>
<ul class="simple"><li><a class="reference external" href="https://docs.google.com/presentation/d/103iFzueCjW0T5bOvVi36EtgrHUU-f1BSvF6fL561HOo/embed?start=true&amp;loop=false&amp;delayms=3000#slide=id.g23274209fc_3_23">What it's like to buy something with ZEC for the first time</a></li>
</ul><div class="figure align-center">
<a class="reference external image-reference" href="https://z.cash/technology/ux-case-study-jaxx-cryptonator.html"><img alt="Screenshots from" class="center-image" src="http://blog.z.cash/wp-content/uploads/2017/08/wallet-input-screenshots.png"/></a>
</div>
<p>This report shows the UI bugs in each application, and how each handles potential errors. Jaxx onboards its users well and is easy to set up and use, but she recommends handling some edge interaction cases. Cryptonator has lots of security measures and handles errors well, but is hard to set up and navigate.</p>
<ul class="simple"><li><a class="reference external" href="https://z.cash/technology/ux-case-study-jaxx-cryptonator.html">A usability evaluation of the Jaxx and Cryptonator cryptocurrency wallets</a></li>
</ul><p>This final report talks about why people can’t see the benefits of using cryptocurrency, why they are hard to use, and why using cryptocurrency requires knowledge of cryptocurrency--and what we can do about it.</p>
<ul class="simple"><li><a class="reference external" href="https://z.cash/technology/cryptocurrency-ux-challenges.html">Cryptocurrency UX Challenges</a></li>
</ul><p>We chose two widely used third-party wallets, <a class="reference external" href="https://jaxx.io/">Jaxx</a> and <a class="reference external" href="https://www.cryptonator.com/">Cryptonator</a> for this case study. We regularly recommend both of these wallets to users especially for mobile platforms and make use of them ourselves so we appreciate their willingness to let us study and critique their UX.</p>
<p>The study was limited to transparent ZEC transactions on Android mobile versions of Jaxx and Cryptonator. This was done to focus on the usability without Zcash-specific properties and features, but we intend to extend this research onto shielded addresses and focus on other applications. We hope this project provide some great insight into what it’s like to be a Zcash user.</p>