---
ID: 1554
post_title: 'Crypto is currency: spend your ZEC!'
author: Linda Lee
post_excerpt: ""
layout: post
permalink: https://blog.z.cash/crypto-is-currency/
published: true
post_date: 2017-09-29 00:00:00
---
<p>The best way to promote cryptocurrencies is by using them as currency. Join Zcash in spending some ZEC today, September 29th for <a class="reference external" href="https://cryptoiscurrency.com/">#CryptoIsCurrency Day</a>!</p>
<p>For this day, we partnered with <a class="reference external" href="https://www.openbazaar.org/">OpenBazaar</a>, a decentralized marketplace whose mission is to allow its users to buy products and services in a secure, private, decentralized, and uncensored way from anywhere in the world, using money that shares their values.</p>
<p>OpenBaazar’s default currency is BTC, but you can now use ZEC to fund your OpenBaazar wallet via Shapeshift, and can pay with funds from your OpenBaazar wallet during checkout. This is a great option if you have ZEC to spend but not BTC, or if you would like to use Zcash’s <a class="reference external" href="/anatomy-of-zcash/">shielded addresses</a> to encrypt your transaction’s metadata for extra privacy.</p>
<div class="figure align-center">
<img alt="A screenshot showing the ability to fund an OpenBazaar wallet with Zcash" class="center-image" src="http://blog.z.cash/wp-content/uploads/2017/09/funding-ob.png"/></div>
<p>We took the opportunity to send some physical goods to a Zcash supporter in Venezuela. The Zcash Foundation recently published a <a class="reference external" href="https://z.cash.foundation/blog/guia-de-zcash-para-venezolanos/">guide to Zcash for Venezuelans</a> and as of this week, <a class="reference external" href="https://cointelegraph.com/news/in-bitcoin-testbed-venezuela-1-bolivar-now-equals-1-satoshi">1 Bolivar is equal to one satoshi</a> (the smallest unit in bitcoin) marking the rate of the country’s hyperinflation at 2000%.</p>
<p>Unlike Amazon or other big companies, OpenBaazar’s decentralized marketplace ships to countries that are in conditions of political and economic distress. Had we not used OpenBazaar, shipping to Venezuela would have required a complicated re-mailing service. When you use OB1 as your search provider, you can filter your search results by where items can be shipped to.</p>
<div class="figure align-center">
<img alt="A screenshot of item listings on OpenBazaar" class="center-image" src="http://blog.z.cash/wp-content/uploads/2017/09/browsing-ob.png"/></div>
<p>There are thousands of items available for purchase, and more listings are added every day. Some of the things currently available for purchase include: cryptocurrency consulting, chocolate, silverware, and jewelry!</p>
<p>We would love to personally see more household items and shelf-stable foods in the marketplace and shipping for countries all around the world. Economically unstable regions like Venezuela really need our help. It's become more and more difficult to ship basic resources into the country due to major players like Amazon restricting their shipping there. With a decentralized marketplace like OpenBazaar, vendors can use their own methods of shipping to Venezuela and even help each other navigate the best ways to send things into the country.</p>
<p>Of course, crypto is currency everyday so we encourage using Zcash for purchases beyond this campaign, but today, we call on the Zcash community to celebrate cryptocurrencies as currencies and buy something on OpenBaazar for #CryptoIsCurrency Day! Here are some resources:</p>
<ul class="simple"><li><a class="reference external" href="https://z.cash/support/getting-started.html">Get started</a> with Zcash.</li>
<li>Download link to <a class="reference external" href="https://www.openbazaar.org/download/">OpenBazaar 2.0</a> .</li>
<li>A video <a class="reference external" href="https://www.youtube.com/watch?v=VzlerMJMOu8">tutorial</a> covering download, installation, purchasing, setting up a store, and more.</li>
<li>A special <a class="reference external" href="https://www.youtube.com/watch?v=RDZUjK2LiKs">video</a> covering how to fund your OB wallet with altcoins, like ZEC.</li>
</ul><p>Keep an eye out here for a comprehensive UX report on using OpenBazaar for the first time and how it compares to centralized marketplaces. Overall, we're very excited for the potential of these tools and are excited about working with OpenBazaar to improve usability and experience in the Zcash and cryptocurrency ecosystems.</p>