---
ID: 1645
post_title: UX evaluation of OpenBazaar
author: Linda Lee
post_excerpt: ""
layout: post
permalink: >
  https://blog.z.cash/ux-evaluation-openbazaar/
published: true
post_date: 2017-11-13 00:00:00
---
<p>We believe that the usability of wallets and services that accept cryptocurrencies make a huge impact on user adoption and motivation to use cryptocurrencies. For this reason, we're <a class="reference external" href="/ux-research/">continuing our process of evaluating</a> various services in the Zcash ecosystem.</p>
<p>For a previous blog post about <a class="reference external" href="/crypto-is-currency/">Crypto Is Currency Day</a> we used OpenBazaar to purchase a tshirt for a Zcash user living in Venezuela. This evaluation dives deeper into analysis of their getting started tutorial, the software's search function, the built-in wallet and seller tools.</p>
<p>Even if you haven’t heard of or use <a class="reference external" href="https://www.openbazaar.org/">OpenBazaar</a>, we hope that this evaluation provides insights on how to build a seamless user experience for a crypto-based service. OpenBazaar has recently released OpenBazaar 2.0 so to express our support, we’d like to highlight some good decisions and offer some suggestions to improve the user experience in a transparent and open process.</p>
<div class="section" id="onboarding-new-users">
<h2>Onboarding new users</h2>
<p><em>How we felt supported while onboarding</em>: OpenBazaar has a very thorough <a class="reference external" href="https://www.youtube.com/watch?v=VzlerMJMOu8">video tutorial</a> that walks through the installation, signup, buying, and selling process. It provides technical support to users before they ask for it, anticipating the potential points where users would struggle. It also highlights all their features, which acts as a guide and onboarding process as well. The video format is very accessible to non-technical users who wouldn’t want to read a text-heavy manual.</p>
<div class="figure align-center">
<a class="reference external image-reference" href="https://www.youtube.com/watch?v=VzlerMJMOu8"><img alt="Screenshot of the OpenBazaar 2.0 Tutorial video" class="center-image" src="http://blog.z.cash/wp-content/uploads/2017/11/openbazaar-tutorial-screenshot.png"/></a>
</div>
<p><em>Our suggestion to engage users faster</em>: decrease the time between installation and what users want to do. We believe that this is showing what’s currently listed on OpenBazaar (like the cover shot for the tutorial on youtube!). Currently, users need to create an account and configure settings before they can see those listings, which creates a bit of friction. Showing people enticing listings that they can buy will get them excited, and when they want to buy something, they are more cheerfully willing to invest in the effort to create an account.</p>
</div>
<div class="section" id="searching-and-filtering-items">
<h2>Searching and filtering items</h2>
<p><em>What we loved about the search function</em>: OpenBazaar lets you search for items by condition, content, rating, shipping availability, and type of item. We especially like the idea of being able to search only through highly rated listings, or browsing digital goods.</p>
<div class="figure align-center">
<img alt="Screenshots of OpenBazaar 2.0 Search UI" class="center-image" src="http://blog.z.cash/wp-content/uploads/2017/11/openbazaar-search-screenshots.png"/></div>
<p><em>Our suggestion for streamlining the search process</em>: inform the users about the different search engines and how they differ from each other. For instance, using the different search engines results in different default listings, and different number of total items, but it’s not quite clear why.</p>
<div class="figure align-center">
<img alt="Screenshots of OpenBazaar 2.0 Search UI" class="center-image" src="http://blog.z.cash/wp-content/uploads/2017/11/openbazaar-search-screenshots2.png"/></div>
</div>
<div class="section" id="using-the-built-in-wallet">
<h2>Using the built-in wallet</h2>
<p><em>Why we appreciated a built-in wallet</em>: currently, OpenBazaar only works with wallets that support Segregated Witness (SegWit). To provide users with a way to purchase items without hunting for a compatible wallet, OpenBazaar provided their own.</p>
<div class="figure align-center">
<img alt="Screenshots of OpenBazaar 2.0 Search UI" class="center-image" src="http://blog.z.cash/wp-content/uploads/2017/11/openbazaar-wallet-screenshots.png"/></div>
<p><em>Our suggestion to highlight this as a feature, not an afterthought</em>: inform users up front that there are two ways to purchase items--with an external wallet and an internal wallet. When we first used OpenBazaar, we found that we needed to use the internal wallet when we got to the checkout screen.</p>
</div>
<div class="section" id="engaging-vendors">
<h2>Engaging vendors</h2>
<p><em>How we think the client supports vendors well</em>: the store setup and item listing interfaces are modern, feature-rich, and easy to use. And with the update, vendors now have more tools to help them manage their stores, such as inventory management, variants, coupon codes, and detailed shipping options.</p>
<div class="figure align-center">
<img alt="Screenshots of OpenBazaar 2.0 Search UI" class="center-image" src="http://blog.z.cash/wp-content/uploads/2017/11/openbazaar-vendor-screenshot.png"/></div>
<p><em>Our suggestion for additional vendor engagement</em>: highlight the benefits of using OpenBazaar in a that will resonate with them. For instance, highlighting the fact that there are no fees to list items, no fees when an item is sold, and no middleman in the transaction would really motivate vendors to set up stores on OpenBazaar, but it doesn’t say this anywhere in the application!</p>
</div>
<div class="section" id="try-openbazaar-and-stay-tuned-for-more-ux-reviews">
<h2>Try OpenBazaar and stay tuned for more UX reviews</h2>
<p><a class="reference external" href="https://www.openbazaar.org/">OpenBazaar</a> is an online, decentralized marketplace whose mission is to allow its users to buy products and services in a secure, private, decentralized, and uncensored way, from anywhere in the world, using money that shares their values. We are big fans of OpenBazaar at Zcash, and encourage you to check out OpenBazaar 2.0!</p>
<p>We'll continue to post user experience evaluations as we engage in more studies of services within the Zcash ecosystem. If you'd like to stay updated on our UX research, be sure to stay tuned to this blog.</p>
</div>