---
ID: 1592
post_title: 'New Release: 1.0.13'
author: Simon Liu
post_excerpt: ""
layout: post
permalink: https://blog.z.cash/new-release-1-0-13/
published: true
post_date: 2017-11-20 00:00:00
---
<strong>Edit 2018-05-31:</strong> Auto-senescence terminology changed to "end-of-support halt".

Today we're announcing the release of Zcash 1.0.13, introducing new features, performance improvements and bug fixes. Our new low-memory prover reduces memory usage by 43% when generating a shielded transaction, from 3 GB to 1.7 GB. An experimental feature, payment disclosure, can help services better manage their shielded payments. We also now fully support the <tt class="docutils literal">z_shieldcoinbase</tt> RPC call to help miners sweep up and shield their coinbase rewards.

Summary of the changes included in this release:
<ol class="arabic simple">
 	<li>End-of-support halt (previously called "auto-senescence") cycle has been reduced from 18 to 16 weeks. (<a class="reference external" href="https://github.com/zcash/zcash/pull/2733">#2733</a>)</li>
 	<li>Low-memory prover reduces JoinSplit creation memory usage from 3 GB to 1.7GB. (<a class="reference external" href="https://github.com/zcash/zcash/pull/2670">#2670</a>, <a class="reference external" href="https://speed.z.cash/timeline/?exe=1&amp;base=1%2B178&amp;ben=memory+createjoinsplit&amp;env=1&amp;revs=50&amp;equid=off&amp;quarts=on&amp;extr=on">stats</a>)</li>
 	<li>Payment disclosure has been added as an experimental feature with new RPC calls <tt class="docutils literal">z_getpaymentdisclosure</tt> and <tt class="docutils literal">z_validatepaymentdisclosure</tt> (<a class="reference external" href="https://github.com/zcash/zcash/pull/2159">#2159</a>). This feature enables a sender to prove that a payment was made to a recipient, which can help services better manage their shielded payments. See <a class="reference external" href="https://github.com/zcash/zcash/blob/master/doc/payment-disclosure.md">the documentation</a> for a full explanation of this new feature.</li>
 	<li><tt class="docutils literal">z_shieldcoinbase</tt> is now a fully supported RPC call (<a class="reference external" href="https://github.com/zcash/zcash/pull/2692">#2692</a>). See an explanation of this command <a class="reference external" href="https://github.com/zcash/zcash/tree/master/doc/shield-coinbase.md">here</a> .</li>
 	<li>Libsnark has been brought into the source repository tree. (<a class="reference external" href="https://github.com/zcash/zcash/pull/2652">#2652</a>)</li>
 	<li>Potential shutdown errors have been fixed. (<a class="reference external" href="https://github.com/zcash/zcash/pull/2555">#2555</a>)</li>
 	<li>User interface messages have been cleaned up. (<a class="reference external" href="https://github.com/zcash/zcash/pull/2548">#2548</a>, <a class="reference external" href="https://github.com/zcash/zcash/pull/2150">#2150</a>, <a class="reference external" href="https://github.com/zcash/zcash/pull/2649">#2649</a>)</li>
 	<li>The extended QA tests have been migrated to Zcash. (<a class="reference external" href="https://github.com/zcash/zcash/pull/2533">#2533</a>)</li>
 	<li>A workaround has been implemented in the test <tt class="docutils literal">wallet_protectcoinbase</tt>, which was previously failing on some platforms. (<a class="reference external" href="https://github.com/zcash/zcash/pull/2698">#2698</a>)</li>
 	<li>Benchmarking has been updated with new performance measurements and fixes. (<a class="reference external" href="https://github.com/zcash/zcash/pull/2645">#2645</a>, <a class="reference external" href="https://github.com/zcash/zcash/pull/2659">#2659</a>, <a class="reference external" href="https://github.com/zcash/zcash/pull/2377">#2377</a>, <a class="reference external" href="https://github.com/zcash/zcash/pull/2687">#2687</a>, <a class="reference external" href="https://github.com/zcash/zcash/pull/2665">#2665</a>)</li>
</ol>
We're encouraging all users and miners to update to this new version. See our <a class="reference external" href="https://z.cash/download.html">download</a> page and the <a class="reference external" href="https://zcash.readthedocs.io/en/latest/rtd_pages/rtd_docs/user_guide.html">User Guide</a> for more information.

For a more complete list of changes, see our <a class="reference external" href="https://github.com/zcash/zcash/milestone/63?closed=1">1.0.13</a> GitHub milestone. To follow our progress, watch <a class="reference external" href="https://github.com/zcash/zcash/milestones">the GitHub project</a> and <a class="reference external" href="https://forum.z.cash/">join the forum</a>.