---
ID: 2157
post_title: Zcash for Everyone
author: Zooko Wilcox
post_excerpt: ""
layout: post
permalink: >
  https://blog.z.cash/roadmap-update-2017-12/
published: true
post_date: 2017-12-08 00:00:11
---
Since <a class="reference external" href="/zcash-begins/">Zcash launched</a> a little more than a year ago, our world-class engineering team has executed beautifully: on-boarding countless new users and businesses from around the world, supporting the global network with zero downtime and zero security breaches, at the same time as delivering high-quality software upgrades.

We've delivered <a class="reference external" href="https://github.com/zcash/zcash/releases">fourteen software releases</a> of the <cite>zcashd “Magic Bean”</cite> reference client, and implemented all of <a class="reference external" href="/the-near-future-of-zcash/">our stated priorities</a> (except that we tabled the <cite>User Issued Tokens</cite> feature). We've seen strong early adoption in our first year with large portions of exchange volume directly to the top national fiat currencies, <a class="reference external" href="https://www.zcashcommunity.com/wallets/">multiple hardware and software wallets</a>, and strong interest from the traditional finance industry such as the <a class="reference external" href="https://grayscale.co/zcash-investment-trust/">Zcash Investment Trust</a> and a <a class="reference external" href="/jpm-quorum-integration/">technology partnership with J.P. Morgan</a>
<div class="figure align-center"><img class="center-image" src="/wp-content/uploads/2017/12/bitinfocharts-txn-per-day-2017-12-08.png" alt="Transactions per day, source &#96;bitinfocharts.com &lt;https://bitinfocharts.com/comparison/zcash-transactions.html&gt;&#96;_" /></div>
<div class="figure align-center"><img class="center-image" src="/wp-content/uploads/2017/12/bitinfocharts-mcap-2017-12-08.png" alt="Marketcap, source &#96;bitinfocharts.com &lt;https://bitinfocharts.com/comparison/zcash-marketcap.html&#96;_" /></div>
In 2018 we're going to further upgrade Zcash's performance, security, and usability (the new <a class="reference external" href="/cultivating-sapling-faster-zksnarks/">Sapling cryptographic technology</a>), bringing our unique encrypted cryptocurrency technology to smartphones and thus available to 2 billion users worldwide.

Our team of scientists and engineers is focused on safely and seamlessly deploying this breakthrough cryptographic innovation to the world-wide Zcash network, even while that network grows and supports an increasing load of usage.

The first, preparatory, network upgrade will go live June 2018. The <cite>Sapling</cite> network upgrade will go live September, 2018.

All of our current users and use-cases will be supported through this transition. We'll be available to answer any questions. You do not need to do anything at this time to prepare for this upgrade, but stay tuned for more information, instructions, and user support. You can also read the <a class="reference external" href="https://forum.z.cash/c/dev-updates">Weekly Dev Updates</a> for visibility in the development process.
<div id="roadmap" class="section">
<h2>Roadmap</h2>
<div id="network-upgrade-0-overwinter" class="section">
<h3>Network Upgrade 0 - Overwinter</h3>
<strong>Activation Schedule:</strong> June, 2018

<cite>Network Upgrade 0 - Overwinter</cite> is focused entirely on making itself and future network upgrades safer for users, even in the case of governance contention. We'll describe more of its design and features in an upcoming post.

</div>
<div id="network-upgrade-1-sapling" class="section">
<h3>Network Upgrade 1 - Sapling</h3>
<strong>Activation Schedule:</strong> September, 2018

<cite>Network Upgrade 1 - Sapling</cite> will activate <a class="reference external" href="/cultivating-sapling-faster-zksnarks/">the Sapling protocol</a> update, bringing orders of magnitude improvements in both time and memory to shielded transactions, making mobile wallet support feasible. Additionally, Sapling will rely on the <a class="reference external" href="https://z.cash.foundation/blog/powers-of-tau/">Powers of Tau</a> open-participation parameter setup, largely mitigating concerns about the parameter setup risks for zkSNARK applications (including other applications outside of Zcash).

</div>
<div id="beyond-sapling" class="section">
<h3>Beyond Sapling</h3>
An open community of scientists and engineers world-wide is already at work exploring what other improvements are technologically possible for Zcash and other such open cryptocurrencies. Possibilities include scalability improvements to allow practically unlimited numbers of transactions, novel consensus algorithms such as <cite>Proof-of-Stake</cite>, and private and scalable smart contracts. Join the discussion on the <a class="reference external" href="https://chat.zcashcommunity.com">Zcash Community Chat</a> (note: not owned or operated by the Zcash Company — it is an independent community-operated chatroom).

Whatever improvements Zcash adds beyond Sapling, you can rest assured that we’ll honor our tradition of providing both stability and valuable innovation for our users.

</div>
</div>