---
ID: 2353
post_title: >
  Introducing Our UX Guidelines for Wallet
  Developers
author: Linda Lee
post_excerpt: ""
layout: post
permalink: >
  https://blog.z.cash/ux-guidelines-for-wallet-developers/
published: true
post_date: 2018-01-16 15:35:43
---
We believe that improving the user experience for wallets will be a huge step in making cryptocurrencies more usable, as users need to interact with a wallet in order to store, send, and use any digital currency.

We have compiled a checklist of good practices that can be applied to any cryptocurrency wallet with a graphic user interface. If you’re building a wallet that supports Zcash, we encourage that you use this checklist to catch common usability problems before launch or user testing.

Go over and have a look <a class="reference external" href="https://z.cash/support/ux-checklist.html">here</a>. We have a succinct yet comprehensive checklist covering user interaction, user interface design, navigation, content, styling, errors, security, user support, and more. For instance, does your wallet:
<ol class="arabic simple">
 	<li>Explain why a permission is needed before the mobile OS prompts asks the user?</li>
 	<li>Notify of events with in app notifications or push notifications, depending on if the user is currently using the wallet or not?</li>
 	<li>Show error notifications or messages next to the relevant input field (not just at the top or bottom of the screen) to show users what they need to fix without searching for it?</li>
</ol>
Head on over to look at the <a class="reference external" href="https://z.cash/support/ux-checklist.html">full checklist</a>! It’s not exhaustive, but we hope that this adds value by helping Zcash wallet developers catch common usability problems!

Cryptocurrencies and, therefore, the wallets that support them, are still a relatively new technology. There isn’t yet a standard layout, user flow, or feature set. We are constantly <a class="reference external" href="/ux-research">evaluating</a> wallets that try new flows and interfaces, and encourage such experimentation. A future goal as we approach the <a class="reference external" href="/tag/sapling">Sapling</a> network upgrade is to further research shielded address UX and the properties of transactions which involve them.

Zcash does not have an official GUI wallet, just the Linux CLI <a class="reference external" href="https://z.cash/download.html">client</a>. You can find a community maintained <a class="reference external" href="https://www.zcashcommunity.com/wallets/">list</a> of the wallets that support Zcash.