---
ID: 3126
post_title: Zcash Company Statement on ASICs
author: Zooko Wilcox
post_excerpt: ""
layout: post
permalink: >
  https://blog.z.cash/zcash-company-statement-on-asics/
published: true
post_date: 2018-05-18 21:04:40
---
We hear the distress and confusion from members of the community, especially those who have been mining Zcash with GPUs, about <a href="https://www.coindesk.com/bitmains-latest-crypto-asic-can-mine-zcash/">the introduction of ASIC mining equipment</a>.

Recently the <a href="https://z.cash.foundation/blog/statement-on-asics/">Zcash Foundation announced</a> a plan to prioritize ASIC-resistance research. The <a href="https://z.cash.foundation/">Zcash Foundation</a> is an independently operated 501(c)3 whose <a href="https://github.com/ZcashFoundation/ZcashFoundation/blob/master/MISSION.md">mission</a> is “dedicated to building Internet payment and privacy infrastructure for the public good, primarily serving the users of the Zcash protocol and blockchain.” We are happy to see the foundation take an active role in this issue and look forward to learning what they discover and the solutions they put forward.

<b>While the foundation conducts its research, the Zcash Company’s focus will remain on: </b>
<ol>
 	<li>the safe and successful release of Overwinter (June, 2018) and Sapling (September 2018), and </li>
 	<li>equipping our growing ecosystem (including wallets and <a href="https://blog.z.cash/gemini-announces-support-for-zcash/">exchanges like Gemini</a>) to integrate Sapling successfully. </li>
</ol>
These two goals are paramount for ensuring that everyone has access to Zcash’s privacy features and can transact safely and securely with Zcash. Sapling will finally give a wide range of wallets, merchants and exchanges the ability to support shielded transactions. Usability will improve. Privacy will improve. And more people will have access. This is critical to our mission and time is of the essence. 

While the company is not taking a technical position at this time, should the foundation (or anyone else) propose an upgrade that has gone through the <a href="https://zcash.readthedocs.io/en/latest/rtd_pages/rtd_docs/index_zips.html">Zcash Improvement Proposal (ZIP) process</a> and comes with the rationale, engineering and planning required for a safe network upgrade, we will consider merging it in and committing to its ongoing support.

<b>Our ultimate objective is broad inclusion. </b>We want to support hobbyists and professionals. We want to support the people who are invested and committed to the long-term success of Zcash as well as people who simply transact. We want to support Zcashers in Venezuela, China, India, USA, France, Russia, Singapore, and other places around the world who each have their own unique constraints and needs. We want to support people who need a predictable and stable platform so they can make long-term plans on the assumption that Zcash’s rules and trajectory won’t change. And we want to support people who need an adaptive, innovative and evolving platform that addresses emergent challenges.

If we are to keep Zcash open, accessible, and valuable to all kinds of people and groups, all around the world, a response must be thoughtful and well-reasoned, and this will take time. As we focus on releasing and supporting the adoption of Sapling, we will watch and engage to help get to a resolution that will benefit the long-term health of Zcash, the community, and ultimately empower everyone with economic freedom and opportunity.