---
ID: 3230
post_title: Zcash Company Proposed Roadmap
author: Josh Swihart
post_excerpt: ""
layout: post
permalink: >
  https://blog.z.cash/zcash-company-proposed-roadmap/
published: true
post_date: 2018-06-26 11:06:31
---
Subsequent to its founding in 2015, the Zcash Company built and then launched the Zcash protocol in October 2016. Since then, we provided numerous enhancements, hired 3rd parties to conduct extensive security audits, assisted in the creation of the Zcash Foundation, engaged with global regulators to educate them on cryptocurrencies and their implications, provided broad ecosystem support for onboarding and maintaining Zcash clients, funded projects we believe to be potentially beneficial to Zcash and the industry, and engaged in marketing such as public relations, content development, and filing and protecting trademarks.

The Zcash consensus rules are set such that the Zcash Company is funded through a share of mining rewards through October of 2020. At that time, the consensus rules are programmed to change so that 100% of the mining rewards will go to the miners.

The Zcash Company team recently met to work through priorities for the remaining two years of funding. The team evaluated recommendations and options against time and budgetary constraints across four areas: usability, innovation, sustainability and decentralization. From that we derived the following set of deliverables:

<b>Reference User Wallet:</b> We believe that we should increase the usability of Zcash. This includes the user experience for both acquiring and using Zcash, as well as the user experience for integrating Zcash into 3rd party solutions that include wallets, exchanges, merchants and other providers of services. We will create a reference implementation of a mobile wallet along with open source libraries to both help accelerate the adoption by 3rd parties as well as help us prioritize related work necessary to encourage broad adoption.

<b>Privacy Adoption:</b> We will push for privacy-by-default. The Zcash protocol and supporting tools, like the reference wallet, need to support broad-based privacy adoption. This may include engineering updates as well as business development, regulatory education, ecosystem and marketing activities focused on awareness and adoption. We will track and measure adoption through a number of means including the number of shielded transactions, the number of 3rd parties supporting shielded addresses, and the number of 3rd parties supporting shielded addresses by default. We also plan to do market research that includes a study of users and use cases around the world to better understand both current use and identify opportunities for improvement.

<b>Protocol Research and Development:</b> The Zcash Company will research scalability and programmability. For scalability, we will evaluate technologies to improve the scalability and usability of the network without compromising on decentralization. We will also research technologies to make Zcash extensible and programmable without compromising on either privacy, decentralization, or scalability. It is our intent to provide a recommendation for a scaling and extensibility solution.

<b>Ongoing Business Development and Marketing:</b> We will continue our business development and outreach functions including user and 3rd party education, community development, market research, brand development, content development, public relations and trademark management.

<b>Ongoing Maintenance and Support:</b> We will continue ongoing maintenance and support of the Zcash network including the support of Sapling activation, security fixes, changes to PoW / consensus rules in support of censorship resistance, 51% attack resistance and maintenance of a permissionless architecture. Support for zcashd Linux, Windows and MacOS command line tools will be prioritized to encourage native 3rd party development of user tools.

<b>Decentralization Support:</b> We will work with the community and the Zcash Foundation to support the decentralization of protocol governance. This includes an approach to ASICs. This will be a topic at the Zcon0 conference and specifically during the Tuesday workshop on mining.

This is the beginning of this conversation, not the end of it. These priorities are recommended but not final. We will gather feedback from the community over the next couple of weeks and then meet again to revisit, revise, finalize and publish the roadmap. Please weigh-in on these deliverables and ask questions at Zcon0, in forums and in other channels.