---
ID: 3240
post_title: 'New Release: 1.1.2'
author: Simon Liu
post_excerpt: ""
layout: post
permalink: https://blog.z.cash/new-release-1-1-2/
published: true
post_date: 2018-07-02 23:03:00
---
Zcash 1.1.2 has been released on the heels of <a href="https://www.youtube.com/playlist?list=PL40dyJ0UYTLK507afWUMgzUYeh-i4qQWS">Zcon0</a>. This Overwinter-compatible release focused on implementing internal changes necessary for Sapling in tandem with the <a href="https://github.com/zcash/librustzcash">librustzcash</a> and <a href="https://github.com/zcash-hackworks/sapling-crypto">sapling-crypto</a> libraries.
<h2>Developer tips for Overwinter network upgrade</h2>
Overwinter activated successfully at block 347500 with most of the ecosystem upgrading smoothly. Common third-party issues were:
<ol>
 	<li>When using an offline node to sign raw transactions, the offline node must be synced past the Overwinter activation block height so that the correct consensus branch id is used.</li>
 	<li>With the new Overwinter signature hashing scheme, when passing in the <code>prevtxs</code> parameter to <code>signrawtransaction</code>, the <code>amount</code> field must be specified. Previously, this was not mandatory.</li>
 	<li>When developing custom code to perform the Overwinter signature hashing scheme, a common issue has been mixing up the endianness of fields.</li>
</ol>
See our <a href="https://blog.z.cash/overwinter/">previous blog post</a> and the <a href="https://z.cash/upgrade/overwinter.html">Overwinter Network Upgrade page</a> for more information.
<h2>Other notable changes</h2>
<h3>Removal of option <code>-disabledeprecation</code></h3>
We implemented end-of-support (EOS) halt for <code>zcashd</code> software versions made by the Zcash Company in release 1.0.9. The configuration option<code>-disabledeprecation</code> was added to allow users to choose to stay on a particular software version. However, it incorrectly implied that deprecated releases would still be supported.

This release removes the <code>-disabledeprecation</code> option so that <code>zcashd</code> software versions made by the Zcash Company will always shut down in accordance with the defined EOS policy (currently 16 weeks after release). Users who wish to use a different policy must now specifically choose to either:
<ul>
 	<li>edit and compile the source code themselves, or</li>
 	<li>obtain a software version from someone else who has done so (and obtain
support from them).</li>
</ul>
Either way, it is much clearer that the software they are running is not supported by the Zcash Company.
<h2>Summary of the changes included in this release</h2>
<ol>
<li>Removed configuration option for turning off EOS halt, previously known as auto-senescence. (<a href="https://github.com/zcash/zcash/pull/3137">#3137</a>)</li>
<li>Data field <code>hashFinalSaplingRoot</code> has been added to RPC call <code>getblocktemplate</code>. (<a href="https://github.com/zcash/zcash/pull/3299">#3299</a>)</li>
<li>Data field <code>finalsaplingroot</code> has been added to RPC calls <code>getblockheader</code> and <code>getblock</code>. (<a href="https://github.com/zcash/zcash/pull/3337">#3337</a>)</li>
<li>We added encodings for Sapling addresses. (<a href="https://github.com/zcash/zcash/pull/3326">#3326</a>)</li>
<li>We added a class for Sapling notes. (<a href="https://github.com/zcash/zcash/pull/3272">#3272</a>)</li>
<li>We created tests for Sapling anchors. (<a href="https://github.com/zcash/zcash/pull/3258">#3258</a>)</li>
<li>Test vectors were created for components of Sapling keys. (<a href="https://github.com/zcash/zcash/pull/3332">#3332</a>)</li>
<li>The help message of RPC call <code>signmessage</code> has been clarified. (<a href="https://github.com/zcash/zcash/pull/3259">#3259</a>)</li>
<li>Some tests were updated with fixes. (<a href="https://github.com/zcash/zcash/pull/3303">#3303</a>, <a href="https://github.com/zcash/zcash/pull/3320">#3320</a>).</li>
<li>We performed some refactoring for code clean up. (<a href="https://github.com/zcash/zcash/pull/3237">#3237</a>, <a href="https://github.com/zcash/zcash/pull/3321">#3321</a>, <a href="https://github.com/zcash/zcash/pull/3322">#3322</a>)</li>
</ol>

For a more complete list of changes, see the <a href="https://github.com/zcash/zcash/milestone/72?closed=1">1.1.2</a> milestone.